/*******************************************************************************
 * HELIUM V, Open Source ERP software for sustained success
 * at small and medium-sized enterprises.
 * Copyright (C) 2004 - 2015 HELIUM V IT-Solutions GmbH
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published
 * by the Free Software Foundation, either version 3 of theLicense, or
 * (at your option) any later version.
 *
 * According to sec. 7 of the GNU Affero General Public License, version 3,
 * the terms of the AGPL are supplemented with the following terms:
 *
 * "HELIUM V" and "HELIUM 5" are registered trademarks of
 * HELIUM V IT-Solutions GmbH. The licensing of the program under the
 * AGPL does not imply a trademark license. Therefore any rights, title and
 * interest in our trademarks remain entirely with us. If you want to propagate
 * modified versions of the Program under the name "HELIUM V" or "HELIUM 5",
 * you may only do so if you have a written permission by HELIUM V IT-Solutions
 * GmbH (to acquire a permission please contact HELIUM V IT-Solutions
 * at trademark@heliumv.com).
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Contact: developers@heliumv.com
 ******************************************************************************/
package com.lp.server.system.service;

import java.math.BigDecimal;
import java.rmi.RemoteException;
import java.sql.Timestamp;
import java.util.Arrays;
import java.util.Date;
import java.util.HashSet;
import java.util.List;
import java.util.Set;
import java.util.TreeMap;

import javax.ejb.Remote;

import com.lp.server.artikel.service.ArtikelDto;
import com.lp.server.artikel.service.WebabfrageArtikellieferantSuchparameterDto;
import com.lp.server.system.ejb.ParameteranwenderPK;
import com.lp.server.system.ejb.ParametermandantPK;
import com.lp.server.system.ejb.ParametermandantgueltigabPK;
import com.lp.server.util.HvOptional;
import com.lp.util.EJBExceptionLP;

@Remote
public interface ParameterFac {

	// die Anwenderparameter
	public static final String ANWENDERPARAMETER_BELEGNUMMER_MIT_MANDANTKENNUNG = "BELEGNUMMER_MIT_MANDANTKENNUNG";
	public static final String ANWENDERPARAMETER_BELEGNUMMER_STELLEN_MANDANTKENNUNG = "BELEGNUMMER_STELLEN_MANDANTKENNUNG";
	public static final String ANWENDERPARAMETER_REPORT_CONNECTION_URL = "REPORT_CONNECTION_URL";
	public static final String ANWENDERPARAMETER_MANDANTEN_TRANSFERDAUER = "MANDANTEN_TRANSFERDAUER";
	public static final String ANWENDERPARAMETER_SNR_CHNR_ALPHABETISCH_SORTIERT = "SNR_CHNR_ALPHABETISCH_SORTIERT";

	// die Namen saemtlicher Helium V Mandantenparameter
	public static final String PARAMETER_EXPORT_DATEV_KONTOKLASSEN_OHNE_BU_SCHLUESSEL = "EXPORT_DATEV_KONTOKLASSEN_OHNE_BU_SCHLUESSEL";
	public static final String PARAMETER_EXPORT_DATEV_BERATER = "EXPORT_DATEV_BERATER";
	public static final String PARAMETER_EXPORT_DATEV_MANDANT = "EXPORT_DATEV_MANDANT";
	public static final String PARAMETER_EXPORT_DATEV_MITLAUFENDES_KONTO = "EXPORT_DATEV_MITLAUFENDES_KONTO";
	public static final String PARAMETER_EDITOR_BREITE_KOMMENTAR = "EDITOR_BREITE_KOMMENTAR";
	public static final String PARAMETER_EDITOR_BREITE_TEXTEINGABE = "EDITOR_BREITE_TEXTEINGABE";
	public static final String PARAMETER_EDITOR_BREITE_TEXTMODUL = "EDITOR_BREITE_TEXTMODUL";
	public static final String PARAMETER_EDITOR_BREITE_SONSTIGE = "EDITOR_BREITE_SONSTIGE";

	public static final String PARAMETER_ARTIKEL_KURZE_ARTIKELNUMMER_ERLAUBT = "ARTIKEL_KURZE_ARTIKELNUMMER_ERLAUBT";
	public static final String PARAMETER_ARTIKEL_MAXIMALELAENGE_ARTIKELNUMMER = "ARTIKEL_MAXIMALELAENGE_ARTIKELNUMMER";
	public static final String PARAMETER_ARTIKEL_MINDESTLAENGE_ARTIKELNUMMER = "ARTIKEL_MINDESTLAENGE_ARTIKELNUMMER";

	public static final String PARAMETER_BELEGNUMMERNFORMAT_STELLEN_BELEGNUMMER = "BELEGNUMMERNFORMAT_STELLEN_BELEGNUMMER";
	public static final String PARAMETER_BELEGNUMMERNFORMAT_STELLEN_GESCHAEFTSJAHR = "BELEGNUMMERNFORMAT_STELLEN_GESCHAEFTSJAHR";
	public static final String PARAMETER_BELEGNUMMERNFORMAT_TRENNZEICHEN = "BELEGNUMMERNFORMAT_TRENNZEICHEN";
	public static final String PARAMETER_BELEGNUMMER_MANDANTKENNUNG = "BELEGNUMMER_MANDANTKENNUNG";

	public static final String PARAMETER_DEBITORENNUMMER_BIS = "DEBITORENNUMMER_BIS";
	public static final String PARAMETER_DEBITORENNUMMER_VON = "DEBITORENNUMMER_VON";

	public static final String PARAMETER_DEFAULT_ANGEBOT_GUELTIGKEIT = "DEFAULT_ANGEBOT_GUELTIGKEIT";
	public static final String PARAMETER_DEFAULT_ANGEBOT_GUELTIGKEITSART = "DEFAULT_ANGEBOT_GUELTIGKEITSART";

	public static final String PARAMETER_DEFAULT_ARTIKEL_ARTIKELART = "DEFAULT_ARTIKEL_ARTIKELART";
	public static final String PARAMETER_DEFAULT_ARTIKEL_AUFSCHLAG = "DEFAULT_ARTIKEL_AUFSCHLAG";
	public static final String PARAMETER_DEFAULT_ARTIKEL_DECKUNGSBEITRAG = "DEFAULT_ARTIKEL_DECKUNGSBEITRAG";
	public static final String PARAMETER_DEFAULT_ARTIKEL_EINHEIT = "DEFAULT_ARTIKEL_EINHEIT";
	public static final String PARAMETER_DEFAULT_ARTIKEL_SOLLVERKAUF = "DEFAULT_ARTIKEL_SOLLVERKAUF";

	public static final String PARAMETER_RUNDUNGSAUSGLEICH_ARTIKEL = "RUNDUNGSAUSGLEICH_ARTIKEL";

	public static final String PARAMETER_DEFAULT_LAGER = "DEFAULT_LAGER";
	public static final String PARAMETER_DEFAULT_VORLAUFZEIT_AUFTRAG = "DEFAULT_VORLAUFZEIT_AUFTRAG";
	public static final String PARAMETER_DELAY_E_MAILVERSAND = "DELAY_E_MAILVERSAND";
	public static final String PARAMETER_SIZE_E_MAILANHANG = "SIZE_E_MAILANHANG";
	public static final String PARAMETER_EINGANGSRECHNUNG_LIEFERANTENRECHNUNGSNUMMER_LAENGE = "EINGANGSRECHNUNG_LIEFERANTENRECHNUNGSNUMMER_LAENGE";
	public static final String PARAMETER_EINKAUSPREIS_ABWEICHUNG = "EINKAUFSPREISABWEICHUNG";
	public static final String PARAMETER_ARTIKEL_EK_PREISE = "EK_PREISE";
	public static final String PARAMETER_FRACHTIDENT = "FRACHTIDENT";
	public static final String PARAMETER_GEMEINKOSTENFAKTOR = "GEMEINKOSTENFAKTOR";

	public static final String PARAMETER_GESCHAEFTSJAHRBEGINNMONAT = "GESCHAEFTSJAHRBEGINNMONAT";
	public static final String PARAMETER_GESCHAEFTSJAHRPLUSEINS = "GESCHAEFTSJAHRPLUSEINS";

	public static final String PARAMETER_HANDLAGERBUCHUNG_MENGE_OBERGRENZE = "HANDLAGERBUCHUNG_MENGE_OBERGRENZE";
	public static final String PARAMETER_HANDLAGERBUCHUNG_WERT_OBERGRENZE = "HANDLAGERBUCHUNG_WERT_OBERGRENZE";

	public static final String PARAMETER_KONTONUMMER_STELLENANZAHL_DEBITORENKONTEN = "KONTONUMMER_STELLENANZAHL_DEBITORENKONTEN";
	public static final String PARAMETER_KONTONUMMER_STELLENANZAHL_KREDITORENKONTEN = "KONTONUMMER_STELLENANZAHL_KREDITORENKONTEN";
	public static final String PARAMETER_KONTONUMMER_STELLENANZAHL_SACHKONTEN = "KONTONUMMER_STELLENANZAHL_SACHKONTEN";

	public static final String PARAMETER_KREDITLIMIT = "KREDITLIMIT";

	public static final String PARAMETER_KREDITOREN_BIS = "KREDITOREN_BIS";
	public static final String PARAMETER_KREDITOREN_VON = "KREDITOREN_VON";

	public static final String PARAMETER_KURZWAHL_BIS = "KURZWAHL_BIS";
	public static final String PARAMETER_KURZWAHL_VON = "KURZWAHL_VON";

	public static final String PARAMETER_FINANZ_MAHNUNG_AB_RECHNUNGSBETRAG = "MAHNUNG_AB_RECHNUNGSBETRAG";
	public static final String PARAMETER_FINANZ_MAHNUNG_ZAHLUNGSFRIST = "MAHNUNG_ZAHLUNGSFRIST";
	public static final String PARAMETER_NETTOPREISE = "NETTOPREISE";
	public static final String PARAMETER_NUMMER = "NUMMER";
	public static final String PARAMETER_OFFENER_WE = "OFFENER WE";

	public static final String PARAMETER_ARTIKEL_LAENGE_HERSTELLERBEZEICHNUNG = "ARTIKEL_LAENGE_HERSTELLERBEZEICHNUNG";
	public static final String PARAMETER_ARTIKEL_MAXIMALELAENGE_SERIENNUMMER = "ARTIKEL_MAXIMALELAENGE_SERIENNUMMER";
	public static final String PARAMETER_ARTIKEL_MINDESTLAENGE_SERIENNUMMER = "ARTIKEL_MINDESTLAENGE_SERIENNUMMER";

	public static final String PARAMETER_URL_ONLINE_KARTENDIENST = "URL_ONLINE_KARTENDIENST";
	// public static final String PARAMETER_DEFAULT_KOSTENSTELLE =
	// "DEFAULT_KOSTENSTELLE";
	public static final String PARAMETER_KUNDEN_POSITIONSKONTIERUNG = "KUNDEN_POSITIONSKONTIERUNG";
	public static final String PARAMETER_TOURSTATISTIK = "TOURSTATISTIK";
	public static final String PARAMETER_WAEHRUNGKURSAELTERALS = "WAEHRUNGKURSAELTERALS";

	public static final String PARAMETER_ZESSION = "ZESSION";
	public static final String PARAMETER_ZESSIONSTEXT = "ZESSIONSTEXT";

	// einreihen lt. DB
	public static final String PARAMETER_STUECKLISTE_ARBEITSPLAN_ZEITEINHEIT = "STUECKLISTE_ARBEITSPLAN_ZEITEINHEIT";
	public static final String PARAMETER_PREISERABATTE_UI_NACHKOMMASTELLEN = "PREISERABATTE_UI_NACHKOMMASTELLEN";
	public static final String PARAMETER_PREISERABATTE_UI_NACHKOMMASTELLEN_VK = "PREISERABATTE_UI_NACHKOMMASTELLEN_VK";
	public static final String PARAMETER_PREISERABATTE_UI_NACHKOMMASTELLEN_EK = "PREISERABATTE_UI_NACHKOMMASTELLEN_EK";
	public static final String PARAMETER_MENGE_UI_NACHKOMMASTELLEN = "MENGE_UI_NACHKOMMASTELLEN";
	public static final String PARAMETER_DEFAULT_ANGEBOT_PRUEFESTANDARDDBARTIKEL = "DEFAULT_ANGEBOT_PRUEFESTANDARDDBARTIKEL";
	public static final String MATERIALGEMEINKOSTENFAKTOR = "MATERIALGEMEINKOSTENFAKTOR";
	public static final String FERTIGUNGSGEMEINKOSTENFAKTOR = "FERTIGUNGSGEMEINKOSTENFAKTOR";
	public static final String ENTWICKLUNGSGEMEINKOSTENFAKTOR = "ENTWICKLUNGSGEMEINKOSTENFAKTOR";
	public static final String VERWALTUNGSGEMEINKOSTENFAKTOR = "VERWALTUNGSGEMEINKOSTENFAKTOR";
	public static final String VERTRIEBSGEMEINKOSTENFAKTOR = "VERTRIEBSGEMEINKOSTENFAKTOR";
	public static final String INTERNEBESTELLUNG_DEFAULTDURCHLAUFZEIT = "INTERNEBESTELLUNG_DEFAULTDURCHLAUFZEIT";
	public static final String GUTSCHRIFT_VERWENDET_NUMMERNKREIS_DER_RECHNUNG = "GUTSCHRIFT_VERWENDET_NUMMERNKREIS_DER_RECHNUNG";
	public static final String FERTIGUNG_FERTIGUNGSBEGLEITSCHEIN_MIT_SOLLDATEN = "FERTIGUNG_FERTIGUNGSBEGLEITSCHEIN_MIT_SOLLDATEN";
	public static final String PARAMETER_FINANZ_EXPORTZIEL_EINGANGSRECHNUNG = "FINANZ_EXPORTZIEL_EINGANGSRECHNUNG";
	public static final String PARAMETER_FINANZ_EXPORTZIEL_RECHNUNG = "FINANZ_EXPORTZIEL_RECHNUNG";
	public static final String PARAMETER_FINANZ_EXPORTZIEL_GUTSCHRIFT = "FINANZ_EXPORTZIEL_GUTSCHRIFT";
	public static final String PARAMETER_FINANZ_UVA_VERPROBUNGSZEITRAUM_MONATE = "FINANZ_UVA_VERPROBUNGSZEITRAUM_MONATE";
	public static final String PARAMETER_FINANZ_UVA_VERPROBUNGSZEITRAUM_TAGE = "FINANZ_UVA_VERPROBUNGSZEITRAUM_TAGE";
	public static final String ANWESENHEITSLISTE_TELEFON_PRIVAT_ANZEIGEN = "ANWESENHEITSLISTE_TELEFON_PRIVAT_ANZEIGEN";
	public static final String ZEITBUCHUNGEN_NACHTRAEGLICH_BUCHEN_BIS = "ZEITBUCHUNGEN_NACHTRAEGLICH_BUCHEN_BIS";
	public static final String STUECKLISTE_ERHOEHUNG_ARBEITSGANG = "STUECKLISTE_ERHOEHUNG_ARBEITSGANG";
	public static final String PARAMETER_FINANZ_EXPORTZIEL_SACHKONTEN = "FINANZ_EXPORTZIEL_SACHKONTEN";
	public static final String PARAMETER_FINANZ_EXPORTZIEL_DEBITORENKONTEN = "FINANZ_EXPORTZIEL_DEBITORENKONTEN";
	public static final String PARAMETER_FINANZ_EXPORTZIEL_KREDITORENKONTEN = "FINANZ_EXPORTZIEL_KREDITORENKONTEN";
	public static final String PARAMETER_ANGEBOT_AG_STKL_AUFLOESUNG_TIEFE = "ANGEBOT_AG_STKL_AUFLOESUNG_TIEFE";
	public static final String PARAMETER_ANGEBOT_AGVORKALK_STKL_AUFLOESUNG_TIEFE = "ANGEBOT_AGVORKALK_STKL_AUFLOESUNG_TIEFE";
	public static final String PARAMETER_AUFTRAG_ABVORKALK_STKL_AUFLOESUNG_TIEFE = "AUFTRAG_ABVORKALK_STKL_AUFLOESUNG_TIEFE";
	public static final String PARAMETER_KONDITIONEN_DES_BELEGS_BESTAETIGEN = "KONDITIONEN_DES_BELEGS_BESTAETIGEN";
	public static final String PARAMETER_AMTSLEITUNGSVORWAHL = "AMTSLEITUNGSVORWAHL";
	public static final String PARAMETER_OFFSET_LIEFERZEIT_IN_TAGEN = "OFFSET_LIEFERZEIT_IN_TAGEN";
	public static final String PARAMETER_KOMMENTAR_AM_FERTIGUNGSBEGLEITSCHEIN = "KOMMENTAR_AM_FERTIGUNGSBEGLEITSCHEIN";
	public static final String PARAMETER_DEFAULT_LIEFERZEIT_AUFTRAG = "DEFAULT_LIEFERZEIT_AUFTRAG";
	public static final String PARAMETER_DEFAULT_LIEFERZEIT_ANGEBOT = "DEFAULT_LIEFERZEIT_ANGEBOT";
	public static final String PARAMETER_AUFTRAG_KOPIEREN_LIEFERDATUM_UEBERNEHMEN = "AUFTRAG_KOPIEREN_LIEFERDATUM_UEBERNEHMEN";
	public static final String PARAMETER_GESTPREISBERECHNUNG_HAUPTLAGER = "GESTPREISBERECHNUNG_HAUPTLAGER";
	public static final String PARAMETER_LOGO_IMMER_DRUCKEN = "LOGO_IMMER_DRUCKEN";
	public static final String PARAMETER_KUNDENBEWERTUNG_WERT_A = "KUNDENBEWERTUNG_WERT_A";
	public static final String PARAMETER_KUNDENBEWERTUNG_WERT_B = "KUNDENBEWERTUNG_WERT_B";
	public static final String PARAMETER_GERINGEREN_VKPREIS_VORSCHLAGEN = "GERINGEREN_VKPREIS_VORSCHLAGEN";
	public static final String PARAMETER_ANGEBOT_AG_VORKALK_AUFLOESUNG_MAX_TIEFE = "ANGEBOT_AG_VORKALK_AUFLOESUNG_MAX_TIEFE";
	public static final String PARAMETER_DEFAULT_ARBEITSZEITARTIKEL = "DEFAULT_ARBEITSZEITARTIKEL";
	public static final String PARAMETER_LAENGE_ZESTIFTKENNUNG = "LAENGE_ZESTIFTKENNUNG";
	public static final String PARAMETER_ZESTIFT_ABSTAND_BUCHUNGEN = "ZESTIFT_ABSTAND_BUCHUNGEN";
	public static final String PARAMETER_ZESTIFT_STUECKRUECKMELDUNG = "ZESTIFT_STUECKRUECKMELDUNG";
	public static final String PARAMETER_LEERZEILE_NACH_MENGENBEHAFTETERPOSITION = "LEERZEILE_NACH_MENGENBEHAFTETERPOSITION";
	public static final String PARAMETER_DEFAULT_ARTIKEL_RABATTIERBAR = "DEFAULT_ARTIKEL_RABATTIERBAR";
	public static final String PARAMETER_UNTERDRUECKE_ARTIKELNR_NULLTAETIGKEIT = "UNTERDRUECKE_ARTIKELNR_NULLTAETIGKEIT";
	public static final String PARAMETER_ZUTRITT_DATEN_VORLADEN = "ZUTRITT_DATEN_VORLADEN";
	public static final String PARAMETER_ZUTRITT_DEFAULT_ZUTRITTSKLASSE = "ZUTRITT_DEFAULT_ZUTRITTSKLASSE";
	public static final String PARAMETER_FERTIGUNG_KAPAZITAETSVORSCHAU_ANZAHL_GRUPPEN = "FERTIGUNG_KAPAZITAETSVORSCHAU_ANZAHL_GRUPPEN";
	public static final String PARAMETER_FERTIGUNG_KAPAZITAETSVORSCHAU_ZEITRAUM = "FERTIGUNG_KAPAZITAETSVORSCHAU_ZEITRAUM";
	public static final String PARAMETER_LOGON_LOESCHEN = "LOGON_LOESCHEN";
	public static final String PARAMETER_ZAHLUNGSVORSCHLAG_EXPORTZIEL = "ZAHLUNGSVORSCHLAG_EXPORTZIEL";
	public static final String PARAMETER_ZAHLUNGSVORSCHLAG_PERIODE = "ZAHLUNGSVORSCHLAG_PERIODE";
	public static final String PARAMETER_ZAHLUNGSVORSCHLAG_MIT_SKONTO = "ZAHLUNGSVORSCHLAG_MIT_SKONTO";
	public static final String PARAMETER_ZAHLUNGSVORSCHLAG_SKONTOUEBERZIEHUNGSFRIST = "ZAHLUNGSVORSCHLAG_SKONTOUEBERZIEHUNGSFRIST";
	public static final String PARAMETER_VERTRETER_VORSCHLAG_AUS_KUNDE = "VERTRETER_VORSCHLAG_AUS_KUNDE";
	public static final String PARAMETER_ARBEITSZEITARTIKEL_AUS_PERSONALVERFUEGBARKEIT = "ARBEITSZEITARTIKEL_AUS_PERSONALVERFUEGBARKEIT";
	public static final String PARAMETER_RECHNUNG_BELEGNUMMERSTARTWERT = "RECHNUNG_BELEGNUMMERSTARTWERT";
	public static final String PARAMETER_EINGANGSRECHNUNG_BELEGNUMMERSTARTWERT = "EINGANGSRECHNUNG_BELEGNUMMERSTARTWERT";
	public static final String PARAMETER_ANFRAGE_ANSP_VORBESETZEN = "ANFRAGE_ANSPRECHPARTNER_VORBESETZEN";
	public static final String PARAMETER_BESTELLUNG_ANSP_VORBESETZEN = "BESTELLUNG_ANSPRECHPARTNER_VORBESETZEN";
	public static final String PARAMETER_ANGEBOT_ANSP_VORBESETZEN = "ANGEBOT_ANSPRECHPARTNER_VORBESETZEN";
	public static final String PARAMETER_ANGEBOTSTKL_ANSP_VORBESETZEN = "ANGEBOTSSTUECKLISTE_ANSPRECHPARTNER_VORBESETZEN";
	public static final String PARAMETER_AUFTRAG_ANSP_VORBESETZEN = "AUFTRAG_ANSPRECHPARTNER_VORBESETZEN";
	public static final String PARAMETER_AUFTRAG_LIEFERADRESSE_ANSP_VORBESETZEN = "AUFTRAG_LIEFERADRESSE_ANSP_VORBESETZEN";
	public static final String PARAMETER_LIEFERSCHEIN_ANSP_VORBESETZEN = "LIEFERSCHEIN_ANSPRECHPARTNER_VORBESETZEN";
	public static final String PARAMETER_RECHNUNG_ANSP_VORBESETZEN = "RECHNUNG_ANSPRECHPARTNER_VORBESETZEN";
	public static final String PARAMETER_LAENGE_PARTNER_KURZBEZEICHNUNG = "LAENGE_PARTNER_KURZBEZEICHNUNG";
	public static final String PARAMETER_SUCHEN_INKLUSIVE_KBEZ = "SUCHEN_INKLUSIVE_KBEZ";
	public static final String PARAMETER_ZEITBUCHUNG_AUF_ERLEDIGTE_MOEGLICH = "ZEITBUCHUNG_AUF_ERLEDIGTE_MOEGLICH";
	public static final String PARAMETER_ZEITBUCHUNG_AUF_ANGELEGTE_LOSE_MOEGLICH = "PARAMETER_ZEITBUCHUNG_AUF_ANGELEGTE_LOSE_MOEGLICH";
	public static final String PARAMETER_KUNDE_STATT_BEZEICHNUNG_IN_AUSWAHLLISTE = "KUNDE_STATT_BEZEICHNUNG_IN_AUSWAHLLISTE";
	public static final String PARAMETER_KUNDE_IN_LOSAUSWAHLLISTE = "KUNDE_IN_LOSAUSWAHLLISTE";
	public static final String PARAMETER_PARTNERSUCHE_WILDCARD_BEIDSEITIG = "PARTNERSUCHE_WILDCARD_BEIDSEITIG";
	public static final String PARAMETER_DEFAULT_KUNDE_AKZEPTIERT_TEILLIEFERUNGEN = "DEFAULT_KUNDE_AKZEPTIERT_TEILLIEFERUNGEN";
	public static final String PARAMETER_BDE_MIT_TAETIGKEIT = "BDE_MIT_TAETIGKEIT";
	public static final String PARAMETER_LEAD_IN_AUSWEISNUMMER_MECS = "LEAD_IN_AUSWEISNUMMER_MECS";
	public static final String PARAMETER_ARTIKELWIEDERBESCHAFFUNGSZEIT = "ARTIKELWIEDERBESCHAFFUNGSZEIT";
	public static final String PARAMETER_INLANDSVORWAHL = "INLANDSVORWAHL";
	public static final String PARAMETER_AUSLANDSVORWAHL = "AUSLANDSVORWAHL";
	public static final String PARAMETER_ARTIKEL_DEFAULT_CHARGENNUMMERNBEHAFTET = "ARTIKEL_DEFAULT_CHARGENNUMMERNBEHAFTET";
	public static final String PARAMETER_CHARGENNUMMER_BEINHALTET_MINDESTHALTBARKEITSDATUM = "CHARGENNUMMER_BEINHALTET_MINDESTHALTBARKEITSDATUM";
	public static final String PARAMETER_INTRASTAT_EXPORTZIEL_EINGANG = "INTRASTAT_EXPORTZIEL_EINGANG";
	public static final String PARAMETER_INTRASTAT_EXPORTZIEL_VERSAND = "INTRASTAT_EXPORTZIEL_VERSAND";
	public static final String PARAMETER_AMTSLEITUNGSVORWAHL_TELEFON = "AMTSLEITUNGSVORWAHL_TELEFON";
	public static final String PARAMETER_DEFAULT_ARTIKEL_MWSTSATZ = "DEFAULT_ARTIKEL_MWSTSATZ";
	public static final String PARAMETER_BONITAETSWARNUNGSZEITRAUM = "BONITAETSWARNUNGSZEITRAUM";
	public static final String PARAMETER_INTERNEBESTELLUNG_VERDICHTUNGSZEITRAUM = "INTERNEBESTELLUNG_VERDICHTUNGSZEITRAUM";
	public static final String PARAMETER_BREITE_TEXTEDITOR = "BREITE_TEXTEDITOR";
	public static final String PARAMETER_ISTZEITEN_GLEICH_SOLLZEITEN = "ISTZEITEN_GLEICH_SOLLZEITEN";
	public static final String PARAMETER_FERTIGUNGSBEGLEITSCHEIN_MIT_MATERIAL = "FERTIGUNGSBEGLEITSCHEIN_MIT_MATERIAL";
	public static final String PARAMETER_LOS_BELEGNUMMERSTARTWERT_FREIE_LOSE = "LOS_BELEGNUMMERSTARTWERT_FREIE_LOSE";
	public static final String PARAMETER_LOSNUMMER_AUFTRAGSBEZOGEN = "LOSNUMMER_AUFTRAGSBEZOGEN";
	public static final String PARAMETER_KUNDE_MIT_NUMMER = "KUNDE_MIT_NUMMER";
	public static final String PARAMETER_AUTOMATISCHES_KOMMT = "AUTOMATISCHES_KOMMT";
	public static final String PARAMETER_FINANZ_EXPORT_VARIANTE = "FINANZ_EXPORT_VARIANTE";
	public static final String PARAMETER_FINANZ_EXPORT_ZIELPROGRAMM = "FINANZ_EXPORT_ZIELPROGRAMM";
	public static final String PARAMETER_FINANZ_EXPORT_UEBERSCHRIFT = "FINANZ_EXPORT_UEBERSCHRIFT";
	public static final String PARAMETER_FINANZ_EXPORT_ARTIKELGRUPPEN_DEFAULT_KONTO_AR = "FINANZ_EXPORT_ARTIKELGRUPPEN_DEFAULT_KONTO_AR";
	public static final String PARAMETER_FINANZ_EXPORT_ARTIKELGRUPPEN_DEFAULT_KONTO_ER = "FINANZ_EXPORT_ARTIKELGRUPPEN_DEFAULT_KONTO_ER";
	public static final String PARAMETER_FINANZ_EXPORT_BMD_BENUTZERNUMMER = "FINANZ_EXPORT_BMD_BENUTZERNUMMER";
	public static final String PARAMETER_FINANZ_EXPORT_UEBERSTEUERTE_MANDANTENWAEHRUNG = "FINANZ_EXPORT_UEBERSTEUERTE_MANDANTENWAEHRUNG";
	public static final String PARAMETER_FINANZ_EXPORT_ASCII = "FIBU_EXPORT_ASCII";
	public static final String PARAMETER_FINANZ_EXPORT_MIT_BELEGEN = "FINANZ_EXPORT_MIT_BELEGEN";
	public static final String PARAMETER_FINANZ_EXPORT_ANZAHLUNGSRECHNUNG = "FINANZ_EXPORT_ANZAHLUNGSRECHNUNG";
	public static final String PARAMETER_FINANZ_UVA_ABRECHNUNGSZEITRAUM = "FINANZ_UVA_ABRECHNUNGSZEITRAUM";
	public static final String PARAMETER_FINANZ_DEBITORENNUMMER_FORTLAUFEND = "FINANZ_DEBITORENNUMMER_FORTLAUFEND";
	public static final String PARAMETER_FINANZ_LF_RE_NR_BUCHUNGSTEXT = "LF_RE_NR_BUCHUNGSTEXT";

	public static final String PARAMETER_FINANZ_EXPORT_UST_IGERWERB_NORMALSATZ_KONTO = "FINANZ_EXPORT_UST_IGERWERB_NORMALSATZ_KONTO";
	public static final String PARAMETER_FINANZ_EXPORT_VST_IGERWERB_NORMALSATZ_KONTO = "FINANZ_EXPORT_VST_IGERWERB_NORMALSATZ_KONTO";
	public static final String PARAMETER_FINANZ_EXPORT_UST_IGERWERB_REDUZIERTSATZ_KONTO = "FINANZ_EXPORT_UST_IGERWERB_REDUZIERTSATZ_KONTO";
	public static final String PARAMETER_FINANZ_EXPORT_VST_IGERWERB_REDUZIERTSATZ_KONTO = "FINANZ_EXPORT_VST_IGERWERB_REDUZIERTSATZ_KONTO";

	public static final String PARAMETER_FINANZ_EXPORT_UST_REVERSECHARGE_NORMALSATZ_KONTO = "FINANZ_EXPORT_UST_REVERSECHARGE_NORMALSATZ_KONTO";
	public static final String PARAMETER_FINANZ_EXPORT_VST_REVERSECHARGE_NORMALSATZ_KONTO = "FINANZ_EXPORT_VST_REVERSECHARGE_NORMALSATZ_KONTO";
	public static final String PARAMETER_FINANZ_EXPORT_UST_REVERSECHARGE_REDUZ_KONTO = "FINANZ_EXPORT_UST_REVERSECHARGE_REDUZ_KONTO";
	public static final String PARAMETER_FINANZ_EXPORT_VST_REVERSECHARGE_REDUZ_KONTO = "FINANZ_EXPORT_VST_REVERSECHARGE_REDUZ_KONTO";

	public static final String PARAMETER_FINANZ_RECHNUNG_WERT0_ERLAUBT = "FINANZ_RECHNUNG_WERT0_ERLAUBT";

	public static final String PARAMETER_KUNDE_ERWERBSBERECHTIGUNG_ANZEIGEN = "KUNDE_ERWERBSBERECHTIGUNG_ANZEIGEN";
	public static final String PARAMETER_ALLGEMEIN_DOKUMENTE_MAXIMALE_GROESSE = "DOKUMENTE_MAXIMALE_GROESSE";

	public static final String PARAMETER_BEWEGUNGSMODULE_SORTIERUNG_PARTNER_ORT = "BEWEGUNGSMODULE_SORTIERUNG_PARTNER_ORT";
	public static final String PARAMETER_ARTIKELNUMMER_ZEICHENSATZ = "ARTIKELNUMMER_ZEICHENSATZ";
	public static final String PARAMETER_DIREKTFILTER_GRUPPE_KLASSE_STATT_REFERENZNUMMER = "DIREKTFILTER_GRUPPE_KLASSE_STATT_REFERENZNUMMER";
	public static final String PARAMETER_WA_NUR_MIT_LS = "WA_NUR_MIT_LS";
	public static final String PARAMETER_AUFTRAGSERIENNUMMERN_MIT_ETIKETTEN = "AUFTRAGSERIENNUMMERN_MIT_ETIKETTEN";
	public static final String PARAMETER_UNTERSTUECKLISTEN_AUTOMATISCH_AUSGEBEN = "UNTERSTUECKLISTEN_AUTOMATISCH_AUSGEBEN";
	public static final String PARAMETER_BEI_LOS_ERLEDIGEN_MATERIAL_NACHBUCHEN = "BEI_LOS_ERLEDIGEN_MATERIAL_NACHBUCHEN";
	public static final String PARAMETER_RAHMENAUFTRAEGE_IN_FERTIGUNG_VERWENDBAR = "RAHMENAUFTRAEGE_IN_FERTIGUNG_VERWENDBAR";
	public static final String PARAMETER_ABMESSUNGEN_STATT_ZUSATZBEZ_IN_AUSWAHLLISTE = "ABMESSUNGEN_STATT_ZUSATZBEZ_IN_AUSWAHLLISTE";
	public static final String PARAMETER_BEWEGUNGSMODULE_ANLEGEN_BIS_ZUM = "BEWEGUNGSMODULE_ANLEGEN_BIS_ZUM";

	public static final String PARAMETER_RANKINGLISTE_ZUSATZSTATUS = "RANKINGLISTE_ZUSATZSTATUS";

	public static final String BESTELLVORSCHLAG_VERDICHTUNGSZEITRAUM_TAGE = "BESTELLVORSCHLAG_VERDICHTUNGSZEITRAUM_TAGE";

	public static final String AUFTRAG_JOURNAL_OFFENE_POSITIONEN_STICHTAG = "AUFTRAG_JOURNAL_OFFENE_POSITIONEN_STICHTAG";

	public static final String TOLERANZFRIST_BESTELLVORSCHLAG = "TOLERANZFRIST_BESTELLVORSCHLAG";

	public static final String TOLERANZFRIST_INTERNE_BESTELLUNG = "TOLERANZFRIST_INTERNE_BESTELLUNG";

	public static final String PARAMETER_VKPREIS_STATT_GESTPREIS_IN_ARTIKELAUSWAHL = "VKPREIS_STATT_GESTPREIS_IN_ARTIKELAUSWAHL";

	public static final String PARAMETER_GESTEHUNGSPREISABWERTEN_AB_MONATE = "GESTEHUNGSPREISABWERTEN_AB_MONATE";
	public static final String PARAMETER_GESTEHUNGSPREISABWERTEN_PROZENT_PRO_MONAT = "GESTEHUNGSPREISABWERTEN_PROZENT_PRO_MONAT";

	public static final String PARAMETER_ANZEIGE_ANLEGER_STATT_VERTRETER = "ANZEIGE_ANLEGER_STATT_VERTRETER";

	public static final String PARAMETER_RECHNUNG_ARTIKELGRUPPE_DRUCKEN = "RECHNUNG_ARTIKELGRUPPE_ANDRUCKEN";
	public static final String PARAMETER_DEFAULT_EINKAUFSPREIS_ZURUECKPFLEGEN = "DEFAULT_EINKAUFSPREIS_ZURUECKPFLEGEN";
	public static final String PARAMETER_DEFAULT_VORLAUFZEIT_INTERNEBESTELLUNG = "DEFAULT_VORLAUFZEIT_INTERNEBESTELLUNG";
	public static final String PARAMETER_DEFAULT_VORLAUFZEIT_INTERNEBESTELLUNG_UNTERLOSE = "DEFAULT_VORLAUFZEIT_INTERNEBESTELLUNG_UNTERLOSE";

	public static final String PARAMETER_PROJEKT_OFFSET_ZIELTERMIN = "PROJEKT_OFFSET_ZIELTERMIN";
	public static final String PARAMETER_MAXIMALE_ABWEICHUNG_SUMMENAUSDRUCK = "MAXIMALE_ABWEICHUNG_SUMMENAUSDRUCK";
	public static final String PARAMETER_AUSFUEHRLICHER_MAHNUNGSDRUCK_AR = "AUSFUEHRLICHER_MAHNUNGSDRUCK_AR";

	public static final String PARAMETER_ZAHLUNGSMORAL_MONATE = "ZAHLUNGSMORAL_MONATE";
	public static final String PARAMETER_ZAHLUNGSMORAL_ANZAHL_RECHNUNGEN = "ZAHLUNGSMORAL_ANZAHL_RECHNUNGEN";

	public static final String PARAMETER_DEFAULT_MATERIALBUCHUNG_BEI_ABLIEFERUNG = "DEFAULT_MATERIALBUCHUNG_BEI_ABLIEFERUNG";
	public static final String PARAMETER_ARTIKELGRUPPE_IST_PFLICHTFELD = "ARTIKELGRUPPE_IST_PFLICHTFELD";
	public static final String PARAMETER_ARTIKELKLASSE_IST_PFLICHTFELD = "ARTIKELKLASSE_IST_PFLICHTFELD";

	public static final String PARAMETER_LAGERSTANDSLISTE_EKPREIS_WENN_GESTPREIS_NULL = "LAGERSTANDSLISTE_EKPREIS_WENN_GESTPREIS_NULL";

	public static final String PARAMETER_LIEFERANTENBEURTEILUNG_PUNKTE_KLASSE_A = "LIEFERANTENBEURTEILUNG_PUNKTE_KLASSE_A";
	public static final String PARAMETER_LIEFERANTENBEURTEILUNG_PUNKTE_KLASSE_B = "LIEFERANTENBEURTEILUNG_PUNKTE_KLASSE_B";
	public static final String PARAMETER_LIEFERANTENBEURTEILUNG_PUNKTE_KLASSE_C = "LIEFERANTENBEURTEILUNG_PUNKTE_KLASSE_C";

	public static final String PARAMETER_LIEFERANTEN_AUTOMATISCH_SORTIEREN = "LIEFERANTEN_AUTOMATISCH_SORTIEREN";

	public static final String PARAMETER_AELTESTE_CHARGENNUMMER_VORSCHLAGEN = "AELTESTE_CHARGENNUMMER_VORSCHLAGEN";

	public static final String PARAMETER_POSTVERSENDUNGSLAND = "POSTVERSENDUNGSLAND";

	public static final String PARAMETER_ABRUFE_DEFAULT_ABRUFART_AUFTRAG = "ABRUFE_DEFAULT_ABRUFART_AUFTRAG";
	public static final String PARAMETER_ABRUFE_DEFAULT_ABRUFART_BESTELLUNG = "ABRUFE_DEFAULT_ABRUFART_BESTELLUNG";

	public static final String PARAMETER_MAXIMALELAENGE_DURCHWAHL_ZENTRALE = "MAXIMALELAENGE_DURCHWAHL_ZENTRALE";
	public static final String PARAMETER_URL_ANWENDERSPEZIFISCHE_HILFE = "URL_ANWENDERSPEZIFISCHE_HILFE";

	public static final String PARAMETER_URSPRUNGSTERMIN_FUER_LIEFERANTENBEURTEILUNG = "URSPRUNGSTERMIN_FUER_LIEFERANTENBEURTEILUNG";

	public static final String PARAMETER_PFAD_KASSENIMPORTDATEIEN_OSCAR = "PFAD_KASSENIMPORTDATEIEN_OSCAR";
	public static final String PARAMETER_PFAD_KASSENIMPORTDATEIEN_ADS = "PFAD_KASSENIMPORTDATEIEN_ADS";
	public static final String PARAMETER_LOSAUSGABE_AUTOMATISCH = "LOSAUSGABE_AUTOMATISCH";
	String PARAMETER_LOS_UEBERMENGE_ERLAUBEN = "LOS_UEBERMENGE_ERLAUBEN";
	String ANZEIGEN_UEBERMENGE_ARTIKEL_AUSWAHLLISTE = "ANZEIGEN_UEBERMENGE_ARTIKEL_AUSWAHLLISTE";
	String ANZEIGEN_UEBERMENGE_ARTIKEL_LAGER = "ANZEIGEN_UEBERMENGE_ARTIKEL_LAGER";
	public static final String PARAMETER_LIEFERSCHEIN_UEBERNAHME_NACH_ANSPRECHPARTNER = "LIEFERSCHEIN_UEBERNAHME_NACH_ANSPRECHPARTNER";
	public static final String PARAMETER_LAGER_LOGGING = "LAGER_LOGGING";
	public static final String PARAMETER_GANZE_CHARGEN_VERWENDEN = "GANZE_CHARGEN_VERWENDEN";
	public static final String PARAMETER_WARENEINGANG_IN_BESTELLEINHEIT = "WARENEINGANG_IN_BESTELLEINHEIT";
	public static final String PARAMETER_PROJEKT_MIT_UMSATZ = "PROJEKT_MIT_UMSATZ";
	public static final String PARAMETER_FINANZ_OP_PREFIX_RECHNUNG = "FINANZ_OP_PREFIX_RECHNUNG";
	public static final String PARAMETER_FINANZ_OP_PREFIX_GUTSCHRIFT = "FINANZ_OP_PREFIX_GUTSCHRIFT";

	public static final String PARAMETER_DEFAULT_DOKUMENTE_ANHAENGEN = "DEFAULT_DOKUMENTE_ANHAENGEN";
	public static final String PARAMETER_AUTOMATISCHE_DEBITORENNUMMER = "AUTOMATISCHE_DEBITORENNUMMER";
	public static final String PARAMETER_AUTOMATISCHE_KREDITORENNUMMER = "AUTOMATISCHE_KREDITORENNUMMER";

	public static final String PARAMETER_ERLAUBTE_ABWEICHUNG_INVENTURLISTE = "ERLAUBTE_ABWEICHUNG_INVENTURLISTE";

	public static final String PARAMETER_VKPREISBASIS_IST_LIEF1PREIS = "VKPREISBASIS_IST_LIEF1PREIS";

	public static final String PARAMETER_FINANZ_RABATT_KONTO = "FINANZ_RABATT_KONTO";
	public static final String PARAMETER_FERTIGUNGSGRUPPE_VORBESETZEN = "FERTIGUNGSGRUPPE_VORBESETZEN";
	public static final String PARAMETER_ENDE_TERMIN_ANSTATT_BEGINN_TERMIN_ANZEIGEN = "ENDE_TERMIN_ANSTATT_BEGINN_TERMIN_ANZEIGEN";
	public static final String PARAMETER_ANREDE_MIT_VORNAME = "ANREDE_MIT_VORNAME";
	public static final String PARAMETER_WE_REFERENZ_IN_STATISTIK = "WE_REFERENZ_IN_STATISTIK";
	public static final String PARAMETER_LAGERBEWEGUNG_MIT_URSPRUNG = "LAGERBEWEGUNG_MIT_URSPRUNG";
	public static final String PARAMETER_EINZELRECHNUNG_EXPORTPFAD = "EINZELRECHNUNG_EXPORTPFAD";
	public static final String PARAMETER_NEGATIVE_SOLLMENGEN_BUCHEN_AUF_ZIELLAGER = "NEGATIVE_SOLLMENGEN_BUCHEN_AUF_ZIELLAGER";
	public static final String PARAMETER_DEFAULT_LIEFERDAUER = "DEFAULT_LIEFERDAUER";
	public static final String PARAMETER_ABSENDERKENNUNG_STRASSE_ORT = "ABSENDERKENNUNG_STRASSE_ORT";
	public static final String PARAMETER_DEFAULT_NACHFASSTERMIN = "DEFAULT_NACHFASSTERMIN";
	public static final String PARAMETER_ABLIEFERUNGSPREIS_IST_DURCHSCHNITTSPREIS = "ABLIEFERUNGSPREIS_IST_DURCHSCHNITTSPREIS";
	public static final String PARAMETER_DEFAULT_ARTIKELKOMMENTAR_IST_HINWEIS = "DEFAULT_ARTIKELKOMMENTAR_IST_HINWEIS";
	public static final String PARAMETER_ERWEITERTER_URLAUBSANSPRUCH = "ERWEITERTER_URLAUBSANSPRUCH";
	public static final String PARAMETER_CHARGENNUMMER_MINDESTLAENGE = "CHARGENNUMMER_MINDESTLAENGE";
	public static final String PARAMETER_PERSONALKOSTEN_QUELLE = "PERSONALKOSTEN_QUELLE";
	public static final String PARAMETER_MINDESTSTANDSWARNUNG = "MINDESTSTANDSWARNUNG";
	public static final String PARAMETER_LOSAUSWAHL_TECHNIKERFILTER = "LOSAUSWAHL_TECHNIKERFILTER";
	public static final String PARAMETER_MAXIMALE_EINTRAEGE_SOLLZEITPRUEFUNG = "MAXIMALE_EINTRAEGE_SOLLZEITPRUEFUNG";
	public static final String PARAMETER_KEINE_AUTOMATISCHE_MATERIALBUCHUNG = "KEINE_AUTOMATISCHE_MATERIALBUCHUNG";

	public static final String PARAMETER_NUR_TERMINEINGABE = "NUR_TERMINEINGABE";
	public static final String PARAMETER_AUFTRAG_STATT_ARTIKEL_IN_AUSWAHLLISTE = "AUFTRAG_STATT_ARTIKEL_IN_AUSWAHLLISTE";
	public static final String PARAMETER_DURCHLAUFZEIT_IST_PFLICHTFELD = "DURCHLAUFZEIT_IST_PFLICHTFELD";
	public static final String PARAMETER_THEORETISCHE_IST_ZEIT_RECHNUNG = "THEORETISCHE_IST_ZEIT_RECHNUNG";

	public static final String PARAMETER_KDC_BUCHT_ARBEITSGANG = "KDC_BUCHT_ARBEITSGANG";
	public static final String PARAMETER_KDC_KEINE_MASCHINENPRUEFUNG = "PARAMETER_KDC_KEINE_MASCHINENPRUEFUNG";
	public static final String PARAMETER_SALDENABFRAGE_NUR_IST_STUNDEN_DES_AKTUELLEN_MONATS = "SALDENABFRAGE_NUR_IST_STUNDEN_DES_AKTUELLEN_MONATS";
	public static final String PARAMETER_SCHECKNUMMER = "SCHECKNUMMER";
	public static final String PARAMETER_STATUSZEILE_KBEZ_STATT_VERPACKUNGSART = "STATUSZEILE_KBEZ_STATT_VERPACKUNGSART";
	public static final String PARAMETER_MASCHINENBEZEICHNUNG_ANZEIGEN = "MASCHINENBEZEICHNUNG_ANZEIGEN";
	public static final String PARAMETER_LOS_BEI_AUSGABE_GESTOPPT = "LOS_BEI_AUSGABE_GESTOPPT";

	public static final String PARAMETER_LOSBUCHUNG_NUR_SOLLTAETIGKEIT = "LOSBUCHUNG_NUR_SOLLTAETIGKEIT";

	public static final String PARAMETER_SMTPSERVER = "SMTPSERVER";
	public static final String PARAMETER_SMTPSERVER_BENUTZER = "SMTPSERVER_BENUTZER";
	public static final String PARAMETER_SMTPSERVER_KENNWORT = "SMTPSERVER_KENNWORT";
	public static final String PARAMETER_SMTPSERVER_FAXDOMAIN = "SMTPSERVER_FAXDOMAIN";
	public static final String PARAMETER_MAILADRESSE_ADMIN = "MAILADRESSE_ADMIN";
	public static final String PARAMETER_IMAPSERVER = "IMAPSERVER";
	public static final String PARAMETER_IMAPSERVER_ADMIN = "IMAPSERVER_ADMIN";
	public static final String PARAMETER_IMAPSERVER_ADMIN_KENNWORT = "IMAPSERVER_ADMIN_KENNWORT";
	public static final String PARAMETER_IMAPSERVER_SENTFOLDER = "IMAPSERVER_SENTFOLDER";
	public static final String PARAMETER_SMTPSERVER_FAXANBINDUNG = "SMTPSERVER_FAXANBINDUNG";
	public static final String PARAMETER_SMTPSERVER_XPIRIO_KENNWORT = "XPIRIO_KENNWORT";

	public static final String PARAMETER_KUNDE_IST_PFLICHTFELD = "KUNDE_IST_PFLICHTFELD";
	public static final String PARAMETER_ARBEITSPLAN_DEFAULT_STUECKLISTE = "ARBEITSPLAN_DEFAULT_STUECKLISTE";
	public static final String PARAMETER_FEHLMENGE_ENTSTEHEN_WARNUNG = "FEHLMENGE_ENTSTEHEN_WARNUNG";
	public static final String PARAMETER_BRUTTO_STATT_NETTO_IN_AUSWAHLLISTE = "BRUTTO_STATT_NETTO_IN_AUSWAHLLISTE";
	public static final String PARAMETER_OFFENE_MENGE_IN_SICHT_AUFTRAG_VORSCHLAGEN = "OFFENE_MENGE_IN_SICHT_AUFTRAG_VORSCHLAGEN";
	public static final String PARAMETER_IN_WEP_TEXTEINGABEN_ANZEIGEN = "IN_WEP_TEXTEINGABEN_ANZEIGEN";
	public static final String PARAMETER_MAHNUNGSABSENDER = "MAHNUNGSABSENDER";
	public static final String PARAMETER_MAHNUNG_AUTO_CC = "MAHNUNG_AUTO_CC";
	public static final String PARAMETER_ANFRAGEDATUM_VORBESETZEN = "ANFRAGEDATUM_VORBESETZEN";
	public static final String PARAMETER_LIEFERADRESSE_IST_AUFTRAGSADRESSE = "LIEFERADRESSE_IST_AUFTRAGSADRESSE";
	public static final String PARAMETER_PARTNERBRANCHE_DEFINIERT_KOMMENTAR = "PARTNERBRANCHE_DEFINIERT_KOMMENTAR";
	public static final String PARAMETER_SERIENNUMMER_EINEINDEUTIG = "SERIENNUMMER_EINEINDEUTIG";
	public static final String PARAMETER_ALLE_LOSE_BERUECKSICHTIGEN = "ALLE_LOSE_BERUECKSICHTIGEN";
	public static final String PARAMETER_DEFAULT_ARTIKELAUSWAHL = "DEFAULT_ARTIKELAUSWAHL";

	public static final String PARAMETER_PERSONALZEITDATENEXPORT_FIRMENNUMMER = "PERSONALZEITDATENEXPORT_FIRMENNUMMER";
	public static final String PARAMETER_PERSONALZEITDATENEXPORT_ZIELPROGRAMM = "PERSONALZEITDATENEXPORT_ZIELPROGRAMM";
	public static final String PARAMETER_PERSONALZEITDATENEXPORT_ZIEL = "PERSONALZEITDATENEXPORT_ZIEL";
	public static final String PARAMETER_PERSONALZEITDATENEXPORT_PERIODENVERSATZ = "PERSONALZEITDATENEXPORT_PERIODENVERSATZ";

	public static final String PARAMETER_ANGEBOT_BELEGNUMMERSTARTWERT = "ANGEBOT_BELEGNUMMERSTARTWERT";
	public static final String PARAMETER_AUFTRAG_BELEGNUMMERSTARTWERT = "AUFTRAG_BELEGNUMMERSTARTWERT";
	public static final String PARAMETER_LIEFERSCHEIN_BELEGNUMMERSTARTWERT = "LIEFERSCHEIN_BELEGNUMMERSTARTWERT";
	public static final String PARAMETER_GUTSCHRIFT_BELEGNUMMERSTARTWERT = "GUTSCHRIFT_BELEGNUMMERSTARTWERT";
	public static final String PARAMETER_ANFRAGE_BELEGNUMMERSTARTWERT = "ANFRAGE_BELEGNUMMERSTARTWERT";
	public static final String PARAMETER_BESTELLUNG_BELEGNUMMERSTARTWERT = "BESTELLUNG_BELEGNUMMERSTARTWERT";
	public static final String PARAMETER_DEFAULT_LIEFERZEITVERSATZ = "DEFAULT_LIEFERZEITVERSATZ";
	public static final String PARAMETER_DEFAULT_TEILLIEFERUNG = "DEFAULT_TEILLIEFERUNG";
	public static final String PARAMETER_ARTIKELGRUPPE_STATT_ZUSATZBEZ_IN_AUSWAHLLISTE = "ARTIKELGRUPPE_STATT_ZUSATZBEZ_IN_AUSWAHLLISTE";
	public static final String PARAMETER_WIEDERHOLENDER_AUFTRAG_VERSTECKT = "WIEDERHOLENDER_AUFTRAG_VERSTECKT";
	public static final String PARAMETER_WARNUNG_WENN_LAGERPLATZ_BELEGT = "WARNUNG_WENN_LAGERPLATZ_BELEGT";
	public static final String PARAMETER_REVERSE_CHARGE_VERWENDEN = "REVERSE_CHARGE_VERWENDEN";
	public static final String PARAMETER_MENGEN_IN_STAFFELN_UEBERNEHMEN = "MENGEN_IN_STAFFELN_UEBERNEHMEN";
	public static final String PARAMETER_BUCHUNG_IMMER_NACHHER_EINFUEGEN = "BUCHUNG_IMMER_NACHHER_EINFUEGEN";
	public static final String PARAMETER_ANZEIGEN_ARTIKELGRUPPE_IN_AUSWAHLLISTE = "ANZEIGEN_ARTIKELGRUPPE_IN_AUSWAHLLISTE";
	public static final String PARAMETER_LOSAUSGABELISTE2_AUTOMATISCH_DRUCKEN = "LOSAUSGABELISTE2_AUTOMATISCH_DRUCKEN";
	public static final String PARAMETER_KUNDENREKLAMATION_DEFAULT = "KUNDENREKLAMATION_DEFAULT";
	public static final String PARAMETER_ANZEIGE_IN_ARBEITSPLAN = "ANZEIGE_IN_ARBEITSPLAN";
	public static final String PARAMETER_DEFAULT_MIT_ZUSAMMENFASSUNG = "DEFAULT_MIT_ZUSAMMENFASSUNG";
	public static final String PARAMETER_ANZEIGEN_KURZBEZEICHNUNG_IN_AUSWAHLLISTE = "ANZEIGEN_KURZBEZEICHNUNG_IN_AUSWAHLLISTE";
	public static final String PARAMETER_NEUER_ARTIKEL_IST_LAGERBEWIRTSCHAFTET = "NEUER_ARTIKEL_IST_LAGERBEWIRTSCHAFTET";
	public static final String PARAMETER_HERSTELLERKURZZEICHENAUTOMATIK = "HERSTELLERKURZZEICHENAUTOMATIK";
	public static final String PARAMETER_STRUKTURIERTER_STKLIMPORT = "STRUKTURIERTER_STKLIMPORT";
	public static final String PARAMETER_AUSGABE_EIGENER_STATUS = "AUSGABE_EIGENER_STATUS";
	public static final String PARAMETER_MAHNUNGEN_AB_GF_JAHR = "MAHNUNGEN_AB_GF_JAHR";
	public static final String PARAMETER_VKPREISEINGABE_NUR_NETTO = "VKPREISEINGABE_NUR_NETTO";
	public static final String PARAMETER_DEFAULT_UNVERBINDLICH = "DEFAULT_UNVERBINDLICH";
	public static final String PARAMETER_ARTIKELBEZEICHNUNG_IN_LS_EINFRIEREN = "ARTIKELBEZEICHNUNG_IN_LS_EINFRIEREN";
	public static final String PARAMETER_ARTIKELLANGTEXTE_UEBERSTEUERBAR = "ARTIKELLANGTEXTE_UEBERSTEUERBAR";
	public static final String PARAMETER_SOLLZEITPRUEFUNG = "SOLLZEITPRUEFUNG";
	public static final String PARAMETER_TOLERANZ_BETRAGSUCHE = "TOLERANZ_BETRAGSUCHE";

	public static final String PARAMETER_ANZEIGEN_ARTIKELKLASSE_IN_AUSWAHLLISTE = "ANZEIGEN_ARTIKELKLASSE_IN_AUSWAHLLISTE";
	public static final String PARAMETER_DRUCKVORSCHAU_AUTOMATISCH_BEENDEN = "DRUCKVORSCHAU_AUTOMATISCH_BEENDEN";
	public static final String PARAMETER_INTERNE_BESTELLUNG_MIT_AUFTRAGSPOSITIONSBEZUG = "INTERNE_BESTELLUNG_MIT_AUFTRAGSPOSITIONSBEZUG";

	public static final String PARAMETER_EINGANGSRECHNUNG_ZAHLUNG_MIT_KURSEINGABE = "EINGANGSRECHNUNG_ZAHLUNG_MIT_KURSEINGABE";
	public static final String PARAMETER_SERIENNUMMERN_FUEHRENDE_NULLEN_ENTFERNEN = "SERIENNUMMERN_FUEHRENDE_NULLEN_ENTFERNEN";
	public static final String PARAMETER_AUTOMATISCHE_PAUSEN_AB_ERLAUBTEM_KOMMT = "AUTOMATISCHE_PAUSEN_AB_ERLAUBTEM_KOMMT";
	public static final String PARAMETER_BASIS_GESAMTKALKULATION = "BASIS_GESAMTKALKULATION";
	public static final String PARAMETER_ARTIKEL_DEFAULT_SERIENNUMMERNBEHAFTET = "ARTIKEL_DEFAULT_SERIENNUMMERNBEHAFTET";
	public static final String PARAMETER_DEFAULT_KUNDENAUSWAHL = "DEFAULT_KUNDENAUSWAHL";
	public static final String PARAMETER_PREISBASIS_VERKAUF = "PREISBASIS_VERKAUF";
	public static final String PARAMETER_IMPORT_PLANKOSTEN_DATEI = "IMPORT_PLANKOSTEN_DATEI";
	public static final String PARAMETER_LIEFERSPERRE_AB_MAHNSTUFE = "LIEFERSPERRE_AB_MAHNSTUFE";
	public static final String PARAMETER_LV_POSITION = "LV_POSITION";
	public static final String PARAMETER_FEHLMENGEN_LOSBEZOGEN_SOFORT_AUFLOESEN = "FEHLMENGEN_LOSBEZOGEN_SOFORT_AUFLOESEN";
	public static final String PARAMETER_SCHWERWIEGENDE_FEHLER_VERSENDEN = "SCHWERWIEGENDE_FEHLER_VERSENDEN";
	public static final String PARAMETER_ZUSAETZLICHER_DOKUMENTENSPEICHERPFAD = "ZUSAETZLICHER_DOKUMENTENSPEICHERPFAD";
	public static final String PARAMETER_ADRESSE_FUER_AUSDRUCK_MIT_ANREDE = "ADRESSE_FUER_AUSDRUCK_MIT_ANREDE";
	public static final String PARAMETER_ABLIEFERUNG_BUCHT_ENDE = "ABLIEFERUNG_BUCHT_ENDE";
	public static final String PARAMETER_TOLERANZ_SUCHE_NACH_BETRAG = "TOLERANZ_SUCHE_NACH_BETRAG";
	public static final String PARAMETER_DEFAULT_UEBERLIEFERBAR = "DEFAULT_UEBERLIEFERBAR";

	public static final String PARAMETER_DEFAULT_HANDBUCHUNGSART = "DEFAULT_HANDBUCHUNGSART";
	public static final String PARAMETER_FEHLMENGE_STATT_PREIS_IN_LOSMATERIAL = "FEHLMENGE_STATT_PREIS_IN_LOSMATERIAL";
	public static final String PARAMETER_SOLLSATZGROESSE_PRUEFEN = "SOLLSATZGROESSE_PRUEFEN";
	public static final String PARAMETER_ANZEIGEN_LAGERPLATZ_IN_AUSWAHLLISTE = "ANZEIGEN_LAGERPLATZ_IN_AUSWAHLLISTE";
	public static final String PARAMETER_VERKNUEPFTE_BESTELLDETAILS_ANZEIGEN = "VERKNUEPFTE_BESTELLDETAILS_ANZEIGEN";
	public static final String PARAMETER_DAZUGEHOERT_BERUECKSICHTIGEN = "DAZUGEHOERT_BERUECKSICHTIGEN";
	public static final String PARAMETER_PREISUEBERWACHUNG = "PREISUEBERWACHUNG";
	public static final String PARAMETER_AUFTRAG_RECHNUNGSADRESSE_ANSP_VORBESETZEN = "AUFTRAG_RECHNUNGSADRESSE_ANSP_VORBESETZEN";
	public static final String PARAMETER_PROJEKT_BELEGNUMMERSTARTWERT = "PROJEKT_BELEGNUMMERSTARTWERT";
	public static final String PARAMETER_MONATSBESTELLUNGSART = "MONATSBESTELLUNGSART";
	public static final String PARAMETER_ADRESSVORBELEGUNG = "ADRESSVORBELEGUNG";
	public static final String PARAMETER_BESTELLUNG_UND_WARENEINGANG_SIND_PFLICHTFELDER = "BESTELLUNG_UND_WARENEINGANG_SIND_PFLICHTFELDER";
	public static final String PARAMETER_TRIGGERT_TRUMPF_TOPS_ABLIEFERUNG = "TRIGGERT_TRUMPF_TOPS_ABLIEFERUNG";
	public static final String PARAMETER_LOSBUCHUNG_OHNE_POSITIONSBEZUG_BEI_STUECKRUECK = "LOSBUCHUNG_OHNE_POSITIONSBEZUG_BEI_STUECKRUECK";
	public static final String PARAMETER_AUFTRAGSBUCHUNG_OHNE_POSITIONSBEZUG = "AUFTRAGSBUCHUNG_OHNE_POSITIONSBEZUG";
	public static final String PARAMETER_ANZEIGEN_REFERENZ_ARTIKEL_IN_AUSWAHLLISTE = "ANZEIGEN_REFERENZ_ARTIKEL_IN_AUSWAHLLISTE";

	public static final String PARAMETER_WERBEABGABE_ARTIKEL = "WERBEABGABE_ARTIKEL";
	public static final String PARAMETER_WERBEABGABE_PROZENT = "WERBEABGABE_PROZENT";

	public static final String PARAMETER_AUSZUGSNUMMER_BEI_BANK_ANGEBEN = "AUSZUGSNUMMER_BEI_BANK_ANGEBEN";

	public static final String PARAMETER_RECHNUNG_ANSPRECHPARTNER_ANDRUCKEN = "RECHNUNG_ANSPRECHPARTNER_ANDRUCKEN";
	public static final String PARAMETER_BESTELLUNG_ANSPRECHPARTNER_ANDRUCKEN = "BESTELLUNG_ANSPRECHPARTNER_ANDRUCKEN";
	public static final String PARAMETER_ANGEBOT_ANSPRECHPARTNER_ANDRUCKEN = "ANGEBOT_ANSPRECHPARTNER_ANDRUCKEN";
	public static final String PARAMETER_AUFTRAG_ANSPRECHPARTNER_ANDRUCKEN = "AUFTRAG_ANSPRECHPARTNER_ANDRUCKEN";
	public static final String PARAMETER_LIEFERSCHEIN_ANSPRECHPARTNER_ANDRUCKEN = "LIEFERSCHEIN_ANSPRECHPARTNER_ANDRUCKEN";
	public static final String PARAMETER_ANFRAGE_ANSPRECHPARTNER_ANDRUCKEN = "ANFRAGE_ANSPRECHPARTNER_ANDRUCKEN";

	public static final String PARAMETER_BEI_LOS_AKTUALISIERUNG_MATERIAL_NACHBUCHEN = "BEI_LOS_AKTUALISIERUNG_MATERIAL_NACHBUCHEN";
	public static final String PARAMETER_FRUEHZEITIGE_BESCHAFFUNG = "FRUEHZEITIGE_BESCHAFFUNG";
	public static final String PARAMETER_REKLAMATION_BELEGNUMMERSTARTWERT = "REKLAMATION_BELEGNUMMERSTARTWERT";
	/**
	 * Duerfen die Kunden-Soko-Preise an den Webshop uebermittelt werden?
	 */
	public static final String PARAMETER_KUNDESONDERKONDITIONEN_WEBSHOP_VERWENDEN = "KUNDESONDERKONDITIONEN_WEBSHOP_VERWENDEN";
	public static final String PARAMETER_DEFAULT_EMPFANGSBESTAETIGUNG = "DEFAULT_EMPFANGSBESTAETIGUNG";
	public static final String PARAMETER_WERBEABGABE_VOM_EINZELPREIS = "WERBEABGABE_VOM_EINZELPREIS";
	public static final String PARAMETER_KALKULATIONSART = "KALKULATIONSART";
	public static final String PARAMETER_ZUSATZSTATUS_VERRECHENBAR = "ZUSATZSTATUS_VERRECHENBAR";
	public static final String PARAMETER_KUPFERZAHL = "KUPFERZAHL";
	public static final String PARAMETER_LOSE_AKTUALISIEREN = "LOSE_AKTUALISIEREN";
	public static final String PARAMETER_AUSWAHLLISTE_NUR_OFFENE_DEFAULT = "AUSWAHLLISTE_NUR_OFFENE_DEFAULT";
	public static final String PARAMETER_AUSWAHLLISTE_VERSTECKTE_ANZEIGEN_DEFAULT = "AUSWAHLLISTE_VERSTECKTE_ANZEIGEN_DEFAULT";
	public static final String PARAMETER_FINANZ_BUCHUNGEN_NUR_OFFENE_DEFAULT = "BUCHUNGEN_NUR_OFFENE_DEFAULT";
	public static final String PARAMETER_PERSONALNUMMER_ZEICHENSATZ = "PERSONALNUMMER_ZEICHENSATZ";
	public static final String PARAMETER_NICHT_LAGERBEWIRTSCHAFTETE_SOFORT_AUSGEBEN = "NICHT_LAGERBEWIRTSCHAFTETE_SOFORT_AUSGEBEN";
	public static final String PARAMETER_DEFAULT_AUFSCHLAG = "DEFAULT_AUFSCHLAG";
	public static final String PARAMETER_TEXTSUCHE_INKLUSIVE_ARTIKELNUMMER = "TEXTSUCHE_INKLUSIVE_ARTIKELNUMMER";
	public static final String PARAMETER_LAGER_IMMER_AUSREICHEND_VERFUEGBAR = "LAGER_IMMER_AUSREICHEND_VERFUEGBAR";
	public static final String PARAMETER_STARTWERT_ARTIKELNUMMER = "STARTWERT_ARTIKELNUMMER";
	public static final String PARAMETER_TEXTSUCHE_INKLUSIVE_INDEX_REVISION = "TEXTSUCHE_INKLUSIVE_INDEX_REVISION";

	// PJ18287
	public static final String PARAMETER_LOHNSTUNDENSATZKALKULATION_KALENDERWOCHEN = "LOHNSTUNDENSATZKALKULATION_KALENDERWOCHEN";
	public static final String PARAMETER_LOHNSTUNDENSATZKALKULATION_KRANKWOCHEN = "LOHNSTUNDENSATZKALKULATION_KRANKWOCHEN";
	public static final String PARAMETER_LOHNSTUNDENSATZKALKULATION_FEIERTAGSWOCHEN = "LOHNSTUNDENSATZKALKULATION_FEIERTAGSWOCHEN";
	public static final String PARAMETER_LOHNSTUNDENSATZKALKULATION_SONDERZAHLUNGEN = "LOHNSTUNDENSATZKALKULATION_SONDERZAHLUNGEN";
	// PJ18288
	public static final String PARAMETER_AUFTRAG_AUTOMATISCH_VOLLSTAENDIG_ERLEDIGEN = "AUFTRAG_AUTOMATISCH_VOLLSTAENDIG_ERLEDIGEN";
	// PJ18263
	public static final String PARAMETER_PROJEKT_IST_PFLICHTFELD = "PROJEKT_IST_PFLICHTFELD";
	// SP1967
	public static final String PARAMETER_KURZBEZEICHNUNG_STATT_ORT_IN_AUSWAHLLISTE = "KURZBEZEICHNUNG_STATT_ORT_IN_AUSWAHLLISTE";
	// PJ18317
	public static final String PARAMETER_VERKAUFSPREIS_RUECKPFLEGE = "VERKAUFSPREIS_RUECKPFLEGE";
	// PJ18332
	public static final String PARAMETER_ARTIKELNUMMER_AUSWAHL_ABSCHNEIDEN = "ARTIKELNUMMER_AUSWAHL_ABSCHNEIDEN";
	// PJ18344
	public static final String PARAMETER_LS_DEFAULT_VERRECHENBAR = "LS_DEFAULT_VERRECHENBAR";
	// PJ18312
	public static final String PARAMETER_LIEFERANT_ANGEBEN = "LIEFERANT_ANGEBEN";
	// PJ18356
	public static final String PARAMETER_VON_BIS_ERFASSUNG = "VON_BIS_ERFASSUNG";
	// PJ18366
	public static final String PARAMETER_FERTIGUNG_GROESSENAENDERUNG_ZUSATZSTATUS = "FERTIGUNG_GROESSENAENDERUNG_ZUSATZSTATUS";
	// PJ18355
	public static final String PARAMETER_INTERN_ERLEDIGT_BEBUCHBAR = "INTERN_ERLEDIGT_BEBUCHBAR";
	// PJ18355
	public static final String PARAMETER_URLAUBSANTRAG = "URLAUBSANTRAG";
	// PJ18357
	public static final String PARAMETER_ANZEIGEN_ZUSATZBEZ2_IN_AUSWAHLLISTE = "ANZEIGEN_ZUSATZBEZ2_IN_AUSWAHLLISTE";
	// PJ18418
	public static final String PARAMETER_BUILD_ANZEIGEN = "BUILD_ANZEIGEN";
	// SP2323
	public static final String PARAMETER_PREISERABATTE_UI_NACHKOMMASTELLEN_WE = "PREISERABATTE_UI_NACHKOMMASTELLEN_WE";
	// PJ18433
	public static final String PARAMETER_POSITIONSREIHENFOLGE_AUS_AUFTRAG_ERHALTEN = "POSITIONSREIHENFOLGE_AUS_AUFTRAG_ERHALTEN";
	// PJ18426
	public static final String PARAMETER_WEP_PREIS_ZURUECKSCHREIBEN = "WEP_PREIS_ZURUECKSCHREIBEN";
	// PJ18414
	public static final String PARAMETER_DEFAULT_BESTELLVORSCHLAG_UEBERLEITUNG = "DEFAULT_BESTELLVORSCHLAG_UEBERLEITUNG";
	// SP2376
	public static final String PARAMETER_GENERIERE_ARTIKELNUMMER_ZIFFERNBLOCK = "GENERIERE_ARTIKELNUMMER_ZIFFERNBLOCK";
	// SP1984
	public static final String PARAMETER_URLAUBSTAGE_RUNDUNG = "URLAUBSTAGE_RUNDUNG";
	// SP18460
	public static final String PARAMETER_SELEKTIONEN_MANDANTENABHAENGIG = "SELEKTIONEN_MANDANTENABHAENGIG";
	// SP2400
	public static final String PARAMETER_VON_BIS_ERFASSUNG_KOMMT_GEHT_BUCHEN = "VON_BIS_ERFASSUNG_KOMMT_GEHT_BUCHEN";
	// PJ18504
	public static final String PARAMETER_VERSION_BEI_SNR_MITANGEBEN = "VERSION_BEI_SNR_MITANGEBEN";
	// PJ18501
	public static final String PARAMETER_DEFAULT_KOPIEN_RECHNUNG = "DEFAULT_KOPIEN_RECHNUNG";
	public static final String PARAMETER_DEFAULT_KOPIEN_LIEFERSCHEIN = "DEFAULT_KOPIEN_LIEFERSCHEIN";
	// PJ18508
	public static final String PARAMETER_ZUSATZBEZEICHNUNG_IN_AUSWAHLLISTE = "ZUSATZBEZEICHNUNG_IN_AUSWAHLLISTE";

	public static final String PARAMETER_SI_OHNE_EINHEIT = "SI_OHNE_EINHEIT";
	public static final String PARAMETER_SI_EINHEITEN = "SI_EINHEITEN";
	// PJ18556
	public static final String PARAMETER_PROJEKT_ANSPRECHPARTNER_VORBESETZEN = "PROJEKT_ANSPRECHPARTNER_VORBESETZEN";
	// PJ18555
	public static final String PARAMETER_SERIENNUMMER_NUMERISCH = "SERIENNUMMER_NUMERISCH";

	public static final String PARAMETER_GUTSTUNDEN_ZU_UESTD50_ADDIEREN = "GUTSTUNDEN_ZU_UESTD50_ADDIEREN";
	// SP2701
	public static final String PARAMETER_INT_BEST_VERDICHTEN_RAHMENPRUEFUNG = "INT_BEST_VERDICHTEN_RAHMENPRUEFUNG";
	// PJ18569
	public static final String PARAMETER_ANZEIGEN_REFERENZNUMMER_IN_AUSWAHLLISTE = "ANZEIGEN_REFERENZNUMMER_IN_AUSWAHLLISTE";
	// PJ18589
	public static final String PARAMETER_LAENGE_CHARGENNUMMER_EINEINDEUTIG = "LAENGE_CHARGENNUMMER_EINEINDEUTIG";

	public static final String PARAMETER_INTEL_STKL_IMPORT_RABATT = "INTEL_STKL_IMPORT_RABATT";
	//
	public static final String PARAMETER_LOSABLIEFERUNG_GESAMTE_ISTZEITEN_ZAEHLEN = "LOSABLIEFERUNG_GESAMTE_ISTZEITEN_ZAEHLEN";
	// PJ18675
	public static final String PARAMETER_AB_NACHKALKULATION_NUR_RECHNUNGS_ERLOESE = "AB_NACHKALKULATION_NUR_RECHNUNGS_ERLOESE";
	// SP2912
	public static final String PARAMETER_ARTIKELGRUPPE_NUR_VATERGRUPPEN_ANZEIGEN = "ARTIKELGRUPPE_NUR_VATERGRUPPEN_ANZEIGEN";
	// PJ18866
	public static final String PARAMETER_ARTIKELGRUPPE_NACH_CBEZ_ODER_CNR_ANZEIGEN = "ARTIKELGRUPPE_NACH_CBEZ_ODER_CNR_ANZEIGEN";
	// PJ18685
	public static final String PARAMETER_KURZZEICHEN_STATT_NAME_IN_AUSWAHLLISTE = "KURZZEICHEN_STATT_NAME_IN_AUSWAHLLISTE";
	// PJ18547
	public static final String PARAMETER_WARENEINGANG_LAGERPLATZ_NUR_DEFINIERTE = "WARENEINGANG_LAGERPLATZ_NUR_DEFINIERTE";
	// PJ18546
	public static final String PARAMETER_ARTIKELSUCHE_MIT_HERSTELLER = "ARTIKELSUCHE_MIT_HERSTELLER";
	// PJ18736
	public static final String PARAMETER_AUTOMATISCHE_PAUSEN_NUR_WARNUNG = "AUTOMATISCHE_PAUSEN_NUR_WARNUNG";
	// PJ18633 Sammelbuchung manuell
	public static final String PARAMETER_FINANZ_SAMMELBUCHUNG_MANUELL = "FINANZ_SAMMELBUCHUNG_MANUELL";
	// PJ18658
	public static final String PARAMETER_INVENTUR_BASISPREIS = "INVENTUR_BASISPREIS";
	// PJ18737
	public static final String PARAMETER_TRENNZEICHEN_ARTIKELGRUPPE_AUFTRAGSNUMMER = "TRENNZEICHEN_ARTIKELGRUPPE_AUFTRAGSNUMMER";
	// PJ18725
	public static final String PARAMETER_EK_PREISBASIS = "EK_PREISBASIS";
	// PJ18779
	public static final String PARAMETER_BESTELLUNG_AUS_BESTVOR_POSITIONEN_MIT_LOSZUORDNUNG = "BESTELLUNG_AUS_BESTVOR_POSITIONEN_MIT_LOSZUORDNUNG";
	// PJ18778
	public static final String PARAMETER_LAGERSTAND_DES_ANDEREN_MANDANTEN_ANZEIGEN = "LAGERSTAND_DES_ANDEREN_MANDANTEN_ANZEIGEN";
	// PJ18681
	public static final String PARAMETER_AUTOFERTIG_ABLIEFERUNG_TERMINAL = "AUTOFERTIG_BEI_ABLIEFERUNG_TERMINAL";
	public static final String PARAMETER_DEFAULT_BELEGDRUCK_MIT_RABATT = "DEFAULT_BELEGDRUCK_MIT_RABATT";
	public static final String PARAMETER_DEFAULT_KUNDESOKO_WIRKT_NICHT_IN_PREISFINDUNG = "DEFAULT_KUNDESOKO_WIRKT_NICHT_IN_PREISFINDUNG";
	// PJ18884
	public static final String PARAMETER_GUTSCHRIFT_NENNT_SICH_RECHNUNGSKORREKTUR = "GUTSCHRIFT_NENNT_SICH_RECHNUNGSKORREKTUR";
	// PJ18939
	public static final String PARAMETER_MINDEST_MAHNBETRAG = "MINDEST_MAHNBETRAG";
	// PJ18967
	public static final String PARAMETER_BEWERTUNG_IN_AUSWAHLLISTE = "BEWERTUNG_IN_AUSWAHLLISTE";
	// PJ18962
	public static final String PARAMETER_AUFTRAEGE_KOENNEN_VERSTECKT_WERDEN = "AUFTRAEGE_KOENNEN_VERSTECKT_WERDEN";
	// PJ18812
	public static final String PARAMETER_UST_STICHTAG = "UST_STICHTAG";
	public static final String PARAMETER_UST_MONAT = "UST_MONAT";
	// PJ18849
	public static final String PARAMETER_LAGERMIN_JE_LAGER = "LAGERMIN_JE_LAGER";
	// PJ19066
	public static final String PARAMETER_AUSLASTUNGSZEITENBERECHNUNG = "AUSLASTUNGSZEITENBERECHNUNG";
	public static final String PARAMETER_AUSLASTUNGSANZEIGEART = "AUSLASTUNGSANZEIGEART";
	public static final String PARAMETER_AUSLASTUNGSANZEIGE_DETAIL_AG = "AUSLASTUNGSANZEIGE_DETAIL_AG";
	// PJ19537
	public static final String PARAMETER_AUSLASTUNGSANZEIGE_EINLASTUNGRASTER = "AUSLASTUNGSANZEIGE_EINLASTUNGRASTER";
	public static final String PARAMETER_AUSLASTUNGSANZEIGE_PUFFERDAUER = "AUSLASTUNGSANZEIGE_PUFFERDAUER";

	// PJ19052
	public static final String PARAMETER_WIEDERBSCHAFFUNGSMORAL_MONATE = "WIEDERBSCHAFFUNGSMORAL_MONATE";
	public static final String PARAMETER_WIEDERBSCHAFFUNGSMORAL_ANZAHL_BESTELLUNGEN = "WIEDERBSCHAFFUNGSMORAL_ANZAHL_BESTELLUNGEN";

	// SP3719
	public static final String PARAMETER_IMMER_VKPREISDIALOG_MENGENSTAFFEL_ANZEIGEN = "IMMER_VKPREISDIALOG_MENGENSTAFFEL_ANZEIGEN";
	// PJ18534
	public static final String PARAMETER_PROJEKT_MIT_TAETIGKEIT = "PROJEKT_MIT_TAETIGKEIT";
	// SP3748
	public static final String PARAMETER_NACHKOMMASTELLEN_LOSGROESSE = "NACHKOMMASTELLEN_LOSGROESSE";
	// SP860
	public static final String PARAMETER_NACHKOMMASTELLEN_DIMENSIONEN = "NACHKOMMASTELLEN_DIMENSIONEN";
	// PJ19215
	public static final String PARAMETER_AUSGANGSGUTSCHRIFT_AN_KUNDE = "AUSGANGSGUTSCHRIFT_AN_KUNDE";
	// PJ19213
	public static final String PARAMETER_VERPACKUNGSMENGEN_EINGABE = "VERPACKUNGSMENGEN_EINGABE";
	// PJ19030
	public static final String PARAMETER_AUTOMATISCHE_ERMITTLUNG_AG_BEGINN = "AUTOMATISCHE_ERMITTLUNG_AG_BEGINN";
	// PJ19155
	public static final String PARAMETER_FINDCHIPS_APIKEY = "FINDCHIPS_APIKEY";
	public static final String PARAMETER_HTTP_PROXY = "HTTP_PROXY";
	// PJ19235
	public static final String PARAMETER_DEBITORENNUMMER_IN_AUSWAHLLISTE = "DEBITORENNUMMER_IN_AUSWAHLLISTE";
	// PJ19325
	public static final String PARAMETER_VERFUEGBARKEIT_IN_AUSWAHLLISTE = "VERFUEGBARKEIT_IN_AUSWAHLLISTE";
	// PJ19293
	public static final String PARAMETER_DEFAULT_AM_LS_GEWICHT_ANDRUCKEN = "DEFAULT_AM_LS_GEWICHT_ANDRUCKEN";
	// PJ19270
	public static final String PARAMETER_KOSTENSTELLE_IN_VK_BELEGEN_VORBESETZT = "KOSTENSTELLE_IN_VK_BELEGEN_VORBESETZT";
	// PJ19287
	public static final String PARAMETER_REKLAMATIONSWARNUNG_NUR_BEI_SNR_CHNR = "REKLAMATIONSWARNUNG_NUR_BEI_SNR_CHNR";
	// PJ19308
	public static final String PARAMETER_AUTOMATISCHE_CHARGENNUMMER_BEI_WEP = "AUTOMATISCHE_CHARGENNUMMER_BEI_WEP";
	// PJ19307
	public static final String PARAMETER_HYDRA_SERVER = "HYDRA_SERVER";
	public static final String PARAMETER_HYDRA_FERTIGUNGSGRUPPE = "HYDRA_FERTIGUNGSGRUPPE";
	// SP4141
	public static final String PARAMETER_VON_BIS_VERSATZ = "VON_BIS_VERSATZ";
	// SP4153
	public static final String PARAMETER_GUENSTIGER_MELDUNG_ANZEIGEN = "GUENSTIGER_MELDUNG_ANZEIGEN";
	// SP19363
	public static final String PARAMETER_VK_MENGENSTAFFEL_ANSTATT_SOKO_MENGESTAFFEL = "VK_MENGENSTAFFEL_ANSTATT_SOKO_MENGESTAFFEL";
	// PJ19449
	public static final String PARAMETER_ETIKETTENDRUCK_NACH_SCHNELLANLAGE = "ETIKETTENDRUCK_NACH_SCHNELLANLAGE";

	public static final String PARAMETER_LIEFERAVISO_TAGE_ZUSAETZLICH = "LIEFERAVISO_TAGE_ZUSAETZLICH";
	// PJ19456
	public static final String PARAMETER_ZUSAETZLICHES_LAGER_IN_AUSWAHLLISTE = "ZUSAETZLICHES_LAGER_IN_AUSWAHLLISTE";
	// PJ19476
	public static final String PARAMETER_ERFASSUNGSFAKTOR_UI_NACHKOMMASTELLEN = "ERFASSUNGSFAKTOR_UI_NACHKOMMASTELLEN";
	// PJ19391
	public static final String PARAMETER_VORNAME_UND_STRASSE_IN_AUSWAHLLISTE = "VORNAME_UND_STRASSE_IN_AUSWAHLLISTE";
	// PJ19468
	public static final String PARAMETER_ZAHLUNGSVORSCHLAG_DEFAULT_FREIGABE = "ZAHLUNGSVORSCHLAG_DEFAULT_FREIGABE";
	// PJ19290
	public static final String PARAMETER_GUELTIGKEIT_MANDATSREFERENZ = "GUELTIGKEIT_MANDATSREFERENZ";
	// PJ19485
	public static final String PARAMETER_HANDLINGDAUER = "HANDLINGDAUER";
	public static final String PARAMETER_AUTOMATIKREGEL = "AUTOMATIKREGEL";
	public static final String PARAMETER_AUTOMATIK_POSITIONSSCHWELLWERT = "AUTOMATIK_POSITIONSSCHWELLWERT";
	// PJ19555
	public static final String PARAMETER_MEHRERE_LOSE_AUSGEBEN_FERTIGUNGSPAPIERE_DRUCKEN = "MEHRERE_LOSE_AUSGEBEN_FERTIGUNGSPAPIERE_DRUCKEN";
	// PJ19503
	public static final String PARAMETER_IMMER_CHARGE_FRAGEN = "IMMER_CHARGE_FRAGEN";
	// PJ19621
	public static final String PARAMETER_DEFAULT_ANSPRECHPARTNER_DURCHWAHL = "DEFAULT_ANSPRECHPARTNER_DURCHWAHL";
	// PJ19686
	public static final String PARAMETER_KOMMISSIONIERUNG_FERTIGUNGSGRUPPE = "KOMMISSIONIERUNG_FERTIGUNGSGRUPPE";

	// PJ19611
	public static final String PARAMETER_PRO_FIRST_DBURL = "PRO_FIRST_DBURL";
	public static final String PARAMETER_PRO_FIRST_DBUSER = "PRO_FIRST_DBUSER";
	public static final String PARAMETER_PRO_FIRST_DBPASSWORD = "PRO_FIRST_DBPASSWORD";
	public static final String PARAMETER_PRO_FIRST_ANZAHL_ZU_IMPORTIERENDE_DATENSAETZE = "PRO_FIRST_ANZAHL_ZU_IMPORTIERENDE_DATENSAETZE";
	public static final String PARAMETER_PRO_FIRST_LEAD_IN_AZ_ARTIKEL = "PRO_FIRST_LEAD_IN_AZ_ARTIKEL";
	public static final String PARAMETER_PRO_FIRST_VERZEICHNIS = "PRO_FIRST_VERZEICHNIS";
	public static final String PARAMETER_PRO_FIRST_ARTIKELGRUPPE = "PRO_FIRST_ARTIKELGRUPPE";

	// PJ19570
	public static final String PARAMETER_AUFTRAGSFREIGABE = "AUFTRAGSFREIGABE";
	// PJ19654
	public static final String PARAMETER_DRUCK_BEWEGUNGSVORSCHAU_LAGER_ALLER_MANDANTEN = "DRUCK_BEWEGUNGSVORSCHAU_LAGER_ALLER_MANDANTEN";

	// PJ19725
	public static final String PARAMETER_PRO_FIRST_FREMDFERTIGUNGSARTIKEL = "PRO_FIRST_FREMDFERTIGUNGSARTIKEL";
	public static final String PARAMETER_PRO_FIRST_BILD_PFAD = "PRO_FIRST_BILD_PFAD";
	// PJ19688
	public static final String PARAMETER_ZUGEHOERIGER_KUNDE_IN_BEWEGUNGSVORSCHAU_ANZEIGEN = "ZUGEHOERIGER_KUNDE_IN_BEWEGUNGSVORSCHAU_ANZEIGEN";
	// PJ19712
	public static final String PARAMETER_GROSSE_DRUCKVORSCHAU_AKTIVIERT = "GROSSE_DRUCKVORSCHAU_AKTIVIERT";
	// PJ19732
	public static final String PARAMETER_VP_ETIKETT_BASIS_IST_VERPACKUNGSMITTELMENGE = "VP_ETIKETT_BASIS_IST_VERPACKUNGSMITTELMENGE";
	// PJ19655
	public static final String PARAMETER_OFFENE_AUFTRAGSPOSITIONEN_WERKTAGE_IN_ZUKUNFT = "OFFENE_AUFTRAGSPOSITIONEN_WERKTAGE_IN_ZUKUNFT";
	// PJ19696
	public static final String PARAMETER_LIEFERPLAN_TAGE_IN_ZUKUNFT = "LIEFERPLAN_TAGE_IN_ZUKUNFT";
	// PJ19683
	public static final String PARAMETER_MATERIALZUSCHLAG_STATT_NETTOPREIS_BS_MNG_EHT = "MATERIALZUSCHLAG_STATT_NETTOPREIS_BS_MNG_EHT";
	public static final String PARAMETER_MATERIALKURS_AUF_BASIS_RECHNUNGSDATUM = "MATERIALKURS_AUF_BASIS_RECHNUNGSDATUM";
	// SP4762
	public static final String PARAMETER_VK_PREIS_BASIS_MATERIAL = "VK_PREIS_BASIS_MATERIAL";
	// PJ19686
	public static final String PARAMETER_KOMMISSIONIERUNG_AUSGESCHLOSSENE_ARTIKELGRUPPEN = "KOMMISSIONIERUNG_AUSGESCHLOSSENE_ARTIKELGRUPPEN";
	// PJ19782
	public static final String PARAMETER_PRO_FIRST_SCHACHTELPLAN_PFAD = "PRO_FIRST_SCHACHTELPLAN_PFAD";
	// PJ19827
	public static final String PARAMETER_DEFAULT_MINDESTBESTELLWERT = "DEFAULT_MINDESTBESTELLWERT";
	// PJ19827
	public static final String PARAMETER_MINDESTBESTELLWERT_ARTIKEL = "MINDESTBESTELLWERT_ARTIKEL";
	// PJ19853
	public static final String PARAMETER_ARTIKELGEWICHT_GRAMM_STATT_KILO = "ARTIKELGEWICHT_GRAMM_STATT_KILO";
	// PJ19598
	public static final String PARAMETER_URSPRUNGSLAND_IST_PFLICHTFELD = "URSPRUNGSLAND_IST_PFLICHTFELD";
	// SP4809
	public static final String PARAMETER_BRIEFANREDE_MIT_TITEL = "BRIEFANREDE_MIT_TITEL";
	// PJ19880
	public static final String PARAMETER_ZEITERFASSUNG_MIT_ZEITGUTSCHRIFT = "ZEITERFASSUNG_MIT_ZEITGUTSCHRIFT";
	// PJ19922
	public static final String PARAMETER_LASTSCHRIFT_FAELLIGKEIT_NACH_ZAHLUNGSZIEL = "LASTSCHRIFT_FAELLIGKEIT_NACH_ZAHLUNGSZIEL";
	// PJ19915
	public static final String PARAMETER_PROJEKT_TITEL_IN_AG_AB_PROJEKT = "PROJEKT_TITEL_IN_AG_AB_PROJEKT";
	// PJ19917
	public static final String PARAMETER_WIEDERHOLENDE_AUFTRAEGE_ZUSAMMENFASSEN = "WIEDERHOLENDE_AUFTRAEGE_ZUSAMMENFASSEN";
	// PJ19761
	public static final String PARAMETER_HTML_SIGNATUR_MAILVERSAND = "HTML_SIGNATUR_MAILVERSAND";
	// PJ19992
	public static final String PARAMETER_EINRICHTELAGER_ERFASSUNGSTERMINAL = "EINRICHTELAGER_ERFASSUNGSTERMINAL";
	// PJ19791
	public static final String PARAMETER_GS1_BASISNUMMER_GTIN = "GS1_BASISNUMMER_GTIN";
	// PJ19390
	public static final String PARAMETER_GS1_BASISNUMMER_SSCC = "GS1_BASISNUMMER_SSCC";
	// PJ20048
	public static final String PARAMETER_LIEF1INFO_IN_ARTIKELAUSWAHLLISTE = "LIEF1INFO_IN_ARTIKELAUSWAHLLISTE";
	// PJ19940
	public static final String PARAMETER_CHARGEN_BEI_GENERIERUNG_NICHT_BERUECKSICHTIGEN = "CHARGEN_BEI_GENERIERUNG_NICHT_BERUECKSICHTIGEN";
	// SP5214
	public static final String PARAMETER_AUSGABELISTE_TROTZDEM_DRUCKEN = "AUSGABELISTE_TROTZDEM_DRUCKEN";
	// PJ20114
	public static final String PARAMETER_BELEGNUMMERNFORMAT_STELLEN_ZUFALL = "BELEGNUMMERNFORMAT_STELLEN_ZUFALL";
	// PJ20149
	public static final String PARAMETER_KASSENIMPORT_LEERE_ARTIKELNUMMER_DEFAULT_ARTIKEL = "KASSENIMPORT_LEERE_ARTIKELNUMMER_DEFAULT_ARTIKEL";
	// SP5242
	public static final String PARAMETER_VK_STANDARD_MENGE = "VK_STANDARD_MENGE";
	// SP5281
	public static final String PARAMETER_EINGANGSRECHNUNG_KUNDENDATEN_VORBESETZEN = "EINGANGSRECHNUNG_KUNDENDATEN_VORBESETZEN";

	public static final String PARAMETER_RECHNUNG_POSITION_WERT0_PRUEFEN = "RECHNUNG_POSITION_WERT0_PRUEFEN";
	// PJ20126
	public static final String PARAMETER_URLAUBSABRECHNUNG_ZUM_EINTRITT = "URLAUBSABRECHNUNG_ZUM_EINTRITT";
	// PJ20122
	public static final String PARAMETER_MONATSABRECHNUNG_NUR_AB_TAGESIST = "MONATSABRECHNUNG_NUR_AB_TAGESIST";
	// PJ20174
	public static final String PARAMETER_WARNUNG_WENN_KEIN_PROJEKT_ANGEGEBEN = "WARNUNG_WENN_KEIN_PROJEKT_ANGEGEBEN";
	// PJ20195
	public static final String PARAMETER_MATERIALBEDARFSVORSCHAU_OFFSET_REALISIERUNGSTERMIN = "MATERIALBEDARFSVORSCHAU_OFFSET_REALISIERUNGSTERMIN";
	// PJ20210
	public static final String PARAMETER_AUFTRAG_AUS_POSITIONEN_IN_AUSWAHLLISTE = "AUFTRAG_AUS_POSITIONEN_IN_AUSWAHLLISTE";
	// PJ20251
	public static final String PARAMETER_MATERIAL_IN_AUSWAHLLISTE = "MATERIAL_IN_AUSWAHLLISTE";
	// PJ20286
	public static final String PARAMETER_AUFGELOESTE_FEHLMENGEN_DRUCKEN = "AUFGELOESTE_FEHLMENGEN_DRUCKEN";
	// PJ20269
	public static final String PARAMETER_GOOGLE_APIKEY = "GOOGLE_APIKEY";
	// SP5580
	public static final String PARAMETER_4VENDING_ER_AR_IMPORT_BRUTTO_STATT_NETTO = "4VENDING_ER_AR_IMPORT_BRUTTO_STATT_NETTO";

	// PJ20345
	public static final String PARAMETER_LIEFERSCHEIN_POSITIONEN_MIT_RESTAPI_VERDICHTEN = "LIEFERSCHEIN_POSITIONEN_MIT_RESTAPI_VERDICHTEN";
	// PJ20335
	public static final String PARAMETER_LIEFERANTENREKLAMATION_BESTELLUNG_MANUELL = "LIEFERANTENREKLAMATION_BESTELLUNG_MANUELL";
	// PJ19677
	public static final String PARAMETER_KUNDENHINWEIS_AB_MAHNSTUFE = "KUNDENHINWEIS_AB_MAHNSTUFE";
	// PJ20334
	public static final String PARAMETER_BEGRUENDUNG_BEI_VKPREISAENDERUNG = "BEGRUENDUNG_BEI_VKPREISAENDERUNG";
	// PJ20266
	public static final String PARAMETER_AUFTRAGSVERTRETER_AUS_ANGEBOT = "AUFTRAGSVERTRETER_AUS_ANGEBOT";
	// PJ20268
	public static final String PARAMETER_RECHNUNGSEMPFAENGER_NUR_AUS_RECHNUNGS_EMAIL = "RECHNUNGSEMPFAENGER_NUR_AUS_RECHNUNGS_EMAIL";
	// PJ20373
	public static final String PARAMETER_ANGEBOTSABGABETERMIN_OFFSET = "ANGEBOTSABGABETERMIN_OFFSET";
	// PJ20397
	public static final String PARAMETER_ANZAHL_STELLEN_LFD_NR_PRODUKTSTUECKLISTE = "ANZAHL_STELLEN_LFD_NR_PRODUKTSTUECKLISTE";
	// PJ20404
	public static final String PARAMETER_AUFSCHLAG1 = "AUFSCHLAG1";
	public static final String PARAMETER_AUFSCHLAG2 = "AUFSCHLAG2";
	// PJ20433
	public static final String PARAMETER_REFERENZNUMMER_IN_INTERNER_BESTELLUNG = "REFERENZNUMMER_IN_INTERNER_BESTELLUNG";
	// SP5855
	public static final String PARAMETER_AUSGABELISTE_MATERIAL_NULLMENGEN_ANDRUCKEN = "AUSGABELISTE_MATERIAL_NULLMENGEN_ANDRUCKEN";
	// SP5881
	public static final String PARAMETER_TOLERANZ_ZEITABWEICHUNG_TERMINAL = "TOLERANZ_ZEITABWEICHUNG_TERMINAL";

	public static final String PARAMETER_FINANZ_NETTO_DIFFERENZ_ERLAUBT = "FINANZ_NETTO_DIFFERENZ_ERLAUBT";
	// PJ20533
	public static final String PARAMETER_LAGERPLAETZE_BEI_LIEFERUNG_UND_LAGER_NULL_LOESCHEN = "LAGERPLAETZE_BEI_LIEFERUNG_UND_LAGER_NULL_LOESCHEN";
	// PJ20471
	public static final String PARAMETER_BCC_VERTRETER = "BCC_VERTRETER";
	// PJ20563
	public static final String PARAMETER_DIMENSIONEN_BESTELLEN = "DIMENSIONEN_BESTELLEN";
	// PJ20580
	public static final String PARAMETER_GEWICHTSHINWEIS = "GEWICHTSHINWEIS";
	// PJ20471
	public static final String PARAMETER_BCC_RECHNUNG = "BCC_RECHNUNG";
	// PJ22380
	public static final String PARAMETER_BCC_GUTSCHRIFT = "BCC_GUTSCHRIFT";
	// PJ20587
	public static final String PARAMETER_VERKAUFSPREIS_AUTOMATIK_LIEF1PREIS = "VERKAUFSPREIS_AUTOMATIK_LIEF1PREIS";
	// PJ20641
	public static final String PARAMETER_EINZELARBEITSGANG_BUCHEN = "EINZELARBEITSGANG_BUCHEN";

	public static final String PARAMETER_DEFAULT_MOBIL_DRUCKERNAME_SEITE = "DEFAULT_MOBIL_DRUCKERNAME_SEITE";
	public static final String PARAMETER_DEFAULT_MOBIL_DRUCKERNAME_ETIKETT = "DEFAULT_MOBIL_DRUCKERNAME_ETIKETT";
	// PJ20664
	public static final String PARAMETER_LIEFERANT_DEFAULT_GESPERRT = "LIEFERANT_DEFAULT_GESPERRT";
	// PJ20375
	public static final String PARAMETER_LOS_ARBEITSGANG_IST_PFLICHT = "LOS_ARBEITSGANG_IST_PFLICHT";
	// PJ20379
	public static final String PARAMETER_ERSATZTYPEN_SOLLMENGE = "ERSATZTYPEN_SOLLMENGE";
	// PJ20549
	public static final String PARAMETER_AUSLIEFERLISTE_BEI_RAHMEN_NACH_ENDETERMIN = "AUSLIEFERLISTE_BEI_RAHMEN_NACH_ENDETERMIN";
	// PJ20672
	public static final String PARAMETER_VK_PREIS_IMMER_AKTUALISIEREN = "VK_PREIS_IMMER_AKTUALISIEREN";
	// PJ20683
	public static final String PARAMETER_MOBIL_DRUCKERNAME_BEDARFSUEBERNAHME = "MOBIL_DRUCKERNAME_BEDARFSUEBERNAHME";
	// PJ20677
	public static final String PARAMETER_AUSLIEFERDATUM_HEUTE = "AUSLIEFERDATUM_HEUTE";
	// PJ20684
	public static final String PARAMETER_INTERNE_BESTELLUNG_ANGELEGTE_ENTFERNEN = "INTERNE_BESTELLUNG_ANGELEGTE_ENTFERNEN";
	public static final String PARAMETER_INTERNE_BESTELLUNG_TERMINE_BELASSEN = "INTERNE_BESTELLUNG_TERMINE_BELASSEN";
	// PJ20685
	public static final String PARAMETER_BV_UEBERLEITUNG_MAXIMALE_ANZAHL_POSITIONEN = "BV_UEBERLEITUNG_MAXIMALE_ANZAHL_POSITIONEN";
	// PJ20715
	public static final String PARAMETER_REIHENFOLGENPLANUNG = "REIHENFOLGENPLANUNG";
	// PJ20595
	public static final String PARAMETER_ABRUFPOSITIONSREIHENFOLGE_WIE_ERFASST = "ABRUFPOSITIONSREIHENFOLGE_WIE_ERFASST";
	// SP6484
	public static final String PARAMETER_EINMALARTIKEL_DEFAULT_IST_HANDARTIKEL = "EINMALARTIKEL_DEFAULT_IST_HANDARTIKEL";
	// PJ20020
	public static final String PARAMETER_URLAUBSANSPRUCH_LINEAR_VERTEILT = "URLAUBSANSPRUCH_LINEAR_VERTEILT";
	// SP6517
	public static final String PARAMETER_ARBEITSGANG_NUMMERIERUNG_BELASSEN = "ARBEITSGANG_NUMMERIERUNG_BELASSEN";
	// PJ20826
	public static final String PARAMETER_LIEFERZEIT_AUS_ANGEBOT = "LIEFERZEIT_AUS_ANGEBOT";
	// PJ20810
	public static final String PARAMETER_PERSOENLICHER_BESTELLVORSCHLAG = "PERSOENLICHER_BESTELLVORSCHLAG";
	// PJ20772
	public static final String PARAMETER_INDIREKTER_AUFTRAGSPOSITIONSBEZUG = "INDIREKTER_AUFTRAGSPOSITIONSBEZUG";
	// PJ20904
	public static final String PARAMETER_DEFAULT_STKL_XLSIMPORT_POSITIONEN_LOESCHEN = "DEFAULT_STKL_XLSIMPORT_POSITIONEN_LOESCHEN";
	public static final String PARAMETER_DEFAULT_ARTIKEL_XLSIMPORT_ARTIKEL_UEBERSCHREIBEN = "DEFAULT_ARTIKEL_XLSIMPORT_ARTIKEL_UEBERSCHREIBEN";
	public static final String PARAMETER_DEFAULT_ARTIKEL_XLSIMPORT_EKPREISE_UEBERSCHREIBEN = "DEFAULT_ARTIKEL_XLSIMPORT_EKPREISE_UEBERSCHREIBEN";
	public static final String PARAMETER_DEFAULT_ARTIKEL_XLSIMPORT_BEVORZUGTER_LIEFERANT = "DEFAULT_ARTIKEL_XLSIMPORT_BEVORZUGTER_LIEFERANT";
	// PJ20905
	public static final String PARAMETER_DEFAULT_INTERNEBESTELLUNG_LOESCHEN = "DEFAULT_INTERNEBESTELLUNG_LOESCHEN";
	// PJ20947
	public static final String ARBEITSZEITGEMEINKOSTENFAKTOR = "ARBEITSZEITGEMEINKOSTENFAKTOR";
	// PJ20968
	public static final String PARAMETER_REFERENZNUMMER_IN_POSITIONEN = "REFERENZNUMMER_IN_POSITIONEN";
	// PJ21054
	public static final String PARAMETER_ZWEITER_VERTRETER = "ZWEITER_VERTRETER";
	// PJ21028
	public static final String PARAMETER_KOPFTEXT_UEBERNEHMEN = "KOPFTEXT_UEBERNEHMEN";
	// PJ20950
	public static final String PARAMETER_ARBEITSGAENGE_BEI_HILFSSTUECKLISTEN_VERDICHTEN = "ARBEITSGAENGE_BEI_HILFSSTUECKLISTEN_VERDICHTEN";
	// PJ21082
	public static final String PARAMETER_SCHNELLANLAGE_SUCHE_ZUERST_NACH_EAN = "SCHNELLANLAGE_SUCHE_ZUERST_NACH_EAN";
	// PJ21087
	public static final String PARAMETER_POST_PLC_APIKEY = "POST_PLC_APIKEY";
	// SP7528
	public static final String PARAMETER_RUESTMENGE_DARF_FEHLMENGE_BUCHEN = "RUESTMENGE_DARF_FEHLMENGE_BUCHEN";
	// SP7510
	public static final String PARAMETER_ZIELMENGE_GLEICH_0_ZULAESSIG = "ZIELMENGE_GLEICH_0_ZULAESSIG";
	// PJ20092
	public static final String PARAMETER_MAIL_SERVICE_PARAMETER = "MAIL_SERVICE_PARAMETER";
	// PJ21165
	public static final String PARAMETER_MATERIALWARNUNG_BEI_LOSABLIEFERUNG = "MATERIALWARNUNG_BEI_LOSABLIEFERUNG";
	// PJ21145
	public static final String PARAMETER_RECHNUNGSADRESSE_IN_LIEFERSCHEINAUSWAHL = "RECHNUNGSADRESSE_IN_LIEFERSCHEINAUSWAHL";
	// PJ21181
	public static final String PARAMETER_DEFAULT_MINDERMENGENZUSCHLAG = "DEFAULT_MINDERMENGENZUSCHLAG";
	// PJ21137
	public static final String PARAMETER_VORSTEUER_BEI_WE_EINSTANDSPREIS = "VORSTEUER_BEI_WE_EINSTANDSPREIS";
	// PJ20953
	public static final String PARAMETER_DEFAULT_STAFFELPREIS_RUECKPFLEGEN = "DEFAULT_STAFFELPREIS_RUECKPFLEGEN";
	// PJ21224
	public static final String PARAMETER_AZ_ARTIKEL_AUS_AUFTRAGSPOSITION = "AZ_ARTIKEL_AUS_AUFTRAGSPOSITION";
	// 21211
	public static final String PARAMETER_VERSCHNITT_NACH_ABMESSUNG = "VERSCHNITT_NACH_ABMESSUNG";
	// SP7757
	public static final String PARAMETER_WEBABFRAGE_ARTIKELLIEFERANT_SUCHPARAMETER = "WEBABFRAGE_ARTIKELLIEFERANT_SUCHPARAMETER";
	// 21249
	public static final String PARAMETER_ISTPREIS_ANZEIGEN = "ISTPREIS_ANZEIGEN";
	// 21280
	public static final String PARAMETER_KOMMENTARE_IM_KOPF = "KOMMENTARE_IM_KOPF";
	// PJ21299
	public static final String PARAMETER_ANGEBOT_LIEFERADRESSE_ANSP_VORBESETZEN = "ANGEBOT_LIEFERADRESSE_ANSP_VORBESETZEN";
	public static final String PARAMETER_ANGEBOT_RECHNUNGSADRESSE_ANSP_VORBESETZEN = "ANGEBOT_RECHNUNGSADRESSE_ANSP_VORBESETZEN";
	// PJ21278
	public static final String PARAMETER_KUNDENAUSWAHL_STRUKTURIERT = "KUNDENAUSWAHL_STRUKTURIERT";
	// PJ21307
	public static final String PARAMETER_DASHBOARD_AKTUALISIEREN = "DASHBOARD_AKTUALISIEREN";
	// PJ21308
	public static final String PARAMETER_ARTIKEL_LAENGE_BEZEICHNUNG = "ARTIKEL_LAENGE_BEZEICHNUNG";
	// PJ19523
	public static final String PARAMETER_MAXIMALER_NETTO_RECHNUNGSWERT = "MAXIMALER_NETTO_RECHNUNGSWERT";
	// SP7996
	public static final String PARAMETER_MONATSABRECHNUNGSVERSAND_PFAD_ANHAENGE = "MONATSABRECHNUNGSVERSAND_PFAD_ANHAENGE";
	public static final String PARAMETER_MONATSABRECHNUNGSVERSAND_PFAD_ANHAENGE_PREFIX = "MONATSABRECHNUNGSVERSAND_PFAD_ANHAENGE_PREFIX";
	// PJ21341
	public static final String PARAMETER_VKPREIS_BEI_MENGENSTAFFEL_AUTOMATISCH = "VKPREIS_BEI_MENGENSTAFFEL_AUTOMATISCH";
	// SP7453
	public static final String PARAMETER_ARTIKELKOMMENTAR_PDF_VORSCHAU_ANZEIGEN = "ARTIKELKOMMENTAR_PDF_VORSCHAU_ANZEIGEN";
	// PJ21346
	public static final String PARAMETER_PDF_IN_ARTIKELDETAIL_ANZEIGEN = "PDF_IN_ARTIKELDETAIL_ANZEIGEN";
	// PJ21346
	public static final String PARAMETER_MATERIAL_BEI_ERSTEM_AG_NACHBUCHEN = "MATERIAL_BEI_ERSTEM_AG_NACHBUCHEN";
	// PJ21391
	public static final String PARAMETER_ABBUCHUNGSLAGER_IN_AUSWAHLLISTE = "ABBUCHUNGSLAGER_IN_AUSWAHLLISTE";
	// PJ21387
	public static final String PARAMETER_AUFTRAGS_VAT_IMPORT = "AUFTRAGS_VAT_IMPORT";
	// PJ21406
	public static final String PARAMETER_ARTIKELSUCHE_OHNE = "ARTIKELSUCHE_OHNE";
	// PJ21421
	public static final String PARAMETER_UMSATZUEBERSICHT_GESCHAEFTSJAHR = "UMSATZUEBERSICHT_GESCHAEFTSJAHR";
	// SP8054
	public static final String PARAMETER_ABLIEFERETIKETT_BEI_EXTERNEM_AG_DRUCKEN = "ABLIEFERETIKETT_BEI_EXTERNEM_AG_DRUCKEN";
	// PJ21351
	public static final String PARAMETER_NACHFASSTERMIN_AUS_PROJEKT_AKTUALISIEREN = "NACHFASSTERMIN_AUS_PROJEKT_AKTUALISIEREN";
	// PJ21458
	public static final String PARAMETER_PROJEKT_TITEL_IN_AF_BS_LS_RE_LOS = "PROJEKT_TITEL_IN_AF_BS_LS_RE_LOS";
	// PJ21422
	public static final String PARAMETER_MAXIMALLAENGE_INTERNE_TELEFONNUMMER = "MAXIMALLAENGE_INTERNE_TELEFONNUMMER";
	// PJ21422
	public static final String PARAMETER_EINGANGSRECHNUNG_AUS_QR_CODE = "EINGANGSRECHNUNG_AUS_QR_CODE";
	// PJ21461
	public static final String PARAMETER_ABLIEFERTERMIN_IN_LOS_AUSWAHL = "ABLIEFERTERMIN_IN_LOS_AUSWAHL";
	// PJ21394
	public static final String PARAMETER_KOMMENTAR_HAT_VORRANG_IM_ARTIKELDETAIL = "KOMMENTAR_HAT_VORRANG_IM_ARTIKELDETAIL";
	// SP8267
	public static final String PARAMETER_LF_LAGER_LIEFERZEIT_IN_KW = "LF_LAGER_LIEFERZEIT_IN_KW";
	// PJ21554
	public static final String PARAMETER_ARTIKELSUCHE_MIT_REFERENZNUMMER = "ARTIKELSUCHE_MIT_REFERENZNUMMER";
	// PJ21576
	public static final String PARAMETER_SERIENNUMMER_BEGINNT_MIT = "SERIENNUMMER_BEGINNT_MIT";
	// PJ21596
	public static final String PARAMETER_KOMMENTAR_BEI_ARTIKELFREIGABE_AENDERBAR = "KOMMENTAR_BEI_ARTIKELFREIGABE_AENDERBAR";
	// PJ21645
	public static final String PARAMETER_DEFAULT_DATEIVERWEIS = "DEFAULT_DATEIVERWEIS";
	// PJ21616
	public static final String PARAMETER_DEFAULT_WEP_INFO = "DEFAULT_WEP_INFO";
	// PJ21663
	public static final String PARAMETER_LAGERINFO_IN_POSITIONEN = "LAGERINFO_IN_POSITIONEN";
	// PJ21664
	public static final String PARAMETER_LAGERINFO_IN_LOSPOSITIONEN_LAGERSTAND_KNAPP = "LAGERINFO_IN_LOSPOSITIONEN_LAGERSTAND_KNAPP";
	// PJ21666
	public static final String PARAMETER_AUFTRAGSPOSITIONSTERMIN_IN_AUSWAHL_ANZEIGEN = "AUFTRAGSPOSITIONSTERMIN_IN_AUSWAHL_ANZEIGEN";
	// PJ21444
	public static final String PARAMETER_POSITIONSTEXT_AUS_STKL_IN_LOSSOLLMATERIAL_ANZEIGEN = "POSITIONSTEXT_AUS_STKL_IN_LOSSOLLMATERIAL_ANZEIGEN";
	// PJ21742
	public static final String PARAMETER_VORHERIGE_ZEITBUCHUNG_LOESCHEN = "VORHERIGE_ZEITBUCHUNG_LOESCHEN";
	// PJ21717
	public static final String PARAMETER_DEFAULT_SNR_DIALOG_KOMMA = "DEFAULT_SNR_DIALOG_KOMMA";
	// PJ21765
	public static final String PARAMETER_AUTOMATISCHE_CHARGENNUMMER_BEI_LOSABLIEFERUNG = "AUTOMATISCHE_CHARGENNUMMER_BEI_LOSABLIEFERUNG";
	// PJ21777
	public static final String PARAMETER_BEREITS_ANGEFRAGT = "BEREITS_ANGEFRAGT";
	// PJ21456
	public static final String PARAMETER_ARTIKEL_RESTMENGENLAGER = "RESTMENGEN_LAGER";
	// PJ21716
	public static final String PARAMETER_ZEITVERTEILUNG_TYP = "ZEITVERTEILUNG_TYP";
	public static final String PARAMETER_ZEITVERTEILUNG_SOLLZEIT_WENN_0 = "ZEITVERTEILUNG_SOLLZEIT_WENN_0";
	// PJ21810
	public static final String PARAMETER_ZEITBUCHUNG_AG_AB_GEMEINSAM = "ZEITBUCHUNG_AG_AB_GEMEINSAM";
	// PJ21904
	public static final String PARAMETER_RASTERLIEGEND_NACHKOMMASTELLEN = "RASTERLIEGEND_NACHKOMMASTELLEN";
	// PJ21887
	public static final String PARAMETER_DIMENSIONSERFASSUNG_VK = "DIMENSIONSERFASSUNG_VK";
	// PJ21938
	public static final String PARAMETER_DEFAULT_VKPREISPFLICHTIG = "DEFAULT_VKPREISPFLICHTIG";
	// PJ21885
	public static final String PARAMETER_VERPACKUNGSKOSTEN_ARTIKEL = "VERPACKUNGSKOSTEN_ARTIKEL";
	// PJ21885
	public static final String PARAMETER_LAENGE_HIERARCHISCHE_CHARGENNUMMER = "LAENGE_HIERARCHISCHE_CHARGENNUMMER";
	// PJ21947
	public static final String PARAMETER_VERSION_BEI_CHNR_MITANGEBEN = "VERSION_BEI_CHNR_MITANGEBEN";
	// PJ21972
	public static final String PARAMETER_KOPIEN_VERSANDETIKETT_ABLIEFERUNG = "KOPIEN_VERSANDETIKETT_ABLIEFERUNG";
	// PJ21907
	public static final String PARAMETER_SICHT_AUFTRAG_MEHRFACHAUSWAHL = "SICHT_AUFTRAG_MEHRFACHAUSWAHL";
	// PJ22027
	public static final String PARAMETER_PREIS_AUS_GESAMTKALKULATION_WENN_STUECKLISTE = "PREIS_AUS_GESAMTKALKULATION_WENN_STUECKLISTE";
	// PJ22070
	public static final String PARAMETER_TECHNIK_BEI_ARTIKELFREIGABE_AENDERBAR = "TECHNIK_BEI_ARTIKELFREIGABE_AENDERBAR";
	// PJ22121
	public static final String PARAMETER_GETRENNTE_EINKAUFSPREISE = "GETRENNTE_EINKAUFSPREISE";
	// PJ22149
	public static final String PARAMETER_STUECKRUECKMELDUNG_BENOETIGT_ZEITERFASSUNG = "STUECKRUECKMELDUNG_BENOETIGT_ZEITERFASSUNG";
	// PJ22175
	public static final String PARAMETER_AUFTRAG_SERIENNUMMERN = "AUFTRAG_SERIENNUMMERN";
	// PJ21838
	public static final String PARAMETER_VERSANDKOSTENARTIKEL = "VERSANDKOSTENARTIKEL";
	// PJ22194
	public static final String PARAMETER_EINGANGSRECHNUNG_PRUEFEN = "EINGANGSRECHNUNG_PRUEFEN";
	// PJ2221
	public static final String PARAMETER_AUTOMATISCHE_ERMITTLUNG_LOS_ENDE = "AUTOMATISCHE_ERMITTLUNG_LOS_ENDE";
	// PJ22260
	public static final String PARAMETER_MATERIAL_ANHAND_GLEICHER_ARTIKELGRUPPE_BUCHEN = "MATERIAL_ANHAND_GLEICHER_ARTIKELGRUPPE_BUCHEN";
	public static final String PARAMETER_AUTOMATISCHE_ERMITTLUNG_BEGINNTERMINOFFSET = "AUTOMATISCHE_ERMITTLUNG_BEGINNTERMINOFFSET";
	// SP9236
	public static final String PARAMETER_DEFAULT_WIEDERBESCHAFFUNGSZEIT = "DEFAULT_WIEDERBESCHAFFUNGSZEIT";
	// SP9499
	public static final String PARAMETER_BELEGNUMMERNFORMAT_HISTORISCH = "BELEGNUMMERNFORMAT_HISTORISCH";
	// PJ22395
	public static final String PARAMETER_LIEF1PREIS_GUELTIG_IN_MONATEN_FUER_REPORT = "LIEF1PREIS_GUELTIG_IN_MONATEN_FUER_REPORT";
	// PJ22439
	public static final String PARAMETER_ANZEIGEN_HERSTELLER_IN_AUSWAHLLISTE = "ANZEIGEN_HERSTELLER_IN_AUSWAHLLISTE";
	// PJ22409
	public static final String PARAMETER_VORHERIGE_ARBEITSGAENGE_MITERLEDIGEN = "VORHERIGE_ARBEITSGAENGE_MITERLEDIGEN";
	// PJ22355
	public static final String PARAMETER_TRUTOPS_BOOST_SERVER = "TRUTOPS_BOOST_SERVER";
	// PJ22392
	public static final String PARAMETER_WOOCOMMERCE_PARTNER_ZUSAMMENZIEHEN = "WOOCOMMERCE_PARTNER_ZUSAMMENZIEHEN";
	//PJ22438
	public static final String PARAMETER_PROFORMARECHNUNG_BELEGNUMMERSTARTWERT = "PROFORMARECHNUNG_BELEGNUMMERSTARTWERT";
	//PJ22552
	public static final String PARAMETER_INITIALKOSTEN_ARTIKEL = "INITIALKOSTEN_ARTIKEL";
	//PJ22426
	public static final String PARAMETER_FERTIGUNGSPAPIERE_OHNE_NACHFRAGE_DRUCKEN = "FERTIGUNGSPAPIERE_OHNE_NACHFRAGE_DRUCKEN";
	//Issue#67
	public static final String PARAMETER_CLEVERCURE_ARTIKELSUCHE = "CLEVERCURE_ARTIKELSUCHE";
	String PARAMETER_LOS_MATERIAL_ARTIKELKLASSE_ANZEIGEN = "LOS_MATERIAL_ARTIKELKLASSE_ANZEIGEN";
	public static final String PARAMETER_BESTELLUNG_AUFTRAGSBEZUG_PFLICHTFELD = "BESTELLUNG_AUFTRAGSBEZUG_PFLICHTFELD";
	static final String PARAMETER_MATERIAL_RUECKGABE_ERWARTET = "MATERIAL_RUECKGABE_ERWARTET";
	static final String PARAMETER_MATERIAL_RUECKGABE_ERWARTET_STKL_DEFAULT_WERT = "MATERIAL_RUECKGABE_ERWARTET_STKL_DEFAULT_WERT";

	static final String PARAMETER_LOS_OFFENEN_ARBEITSGANG_ANZEIGEN = "LOS_OFFENEN_ARBEITSGANG_ANZEIGEN";

	String PARAMETER_AUFTRAG_ANGEBOT_KOMMENTARE_KOPIEREN = "AUFTRAG_ANGEBOT_KOMMENTARE_KOPIEREN";

    // -----Arbeitsplatzparameter
	final static  String PARAMETER_BRANCHE_IST_PFLICHT = "BRANCHE_IST_PFLICHT";
	final static  String PARAMETER_ADDRESSE_PRUEFUNG_AKTIV = "ADDRESSE_PRUEFUNG_AKTIV";

	// -----Arbeitsplatzparameter
    String WORKPLACE_PARAMETER_PUNKT_IST_DEZIMALTRENNER = "PUNKT_IST_DEZIMALTRENNER";
	String PARAMETER_LOS_MATERIAL_ZIELTERMIN_ANZEIGEN = "LOS_MATERIAL_ZIELTERMIN_ANZEIGEN";
	public static final String ARBEITSPLATZPARAMETER_MELDUNG_MEHRSPRACHIGKEIT_ANGEZEIGT = "MELDUNG_MEHRSPRACHIGKEIT_ANGEZEIGT";
	public static final String ARBEITSPLATZPARAMETER_TAPI_LINE = "TAPI_LINE";
	public static final String ARBEITSPLATZPARAMETER_PORT_FINGERPRINTLESER = "PORT_FINGERPRINTLESER";
	public static final String ARBEITSPLATZPARAMETER_FERTIGUNG_ANSICHT_OFFENE_LOSE = "FERTIGUNG_ANSICHT_OFFENE_LOSE";
	public static final String ARBEITSPLATZPARAMETER_PFAD_MIT_PARAMETER_SCANTOOL = "PFAD_MIT_PARAMETER_SCANTOOL";
	public static final String ARBEITSPLATZPARAMETER_PFAD_MIT_PARAMETER_TAPITOOL = "PFAD_MIT_PARAMETER_TAPITOOL";
	public static final String ARBEITSPLATZPARAMETER_BACKGROUND_ENABLED = "BACKGROUND_ENABLED";
	public static final String ARBEITSPLATZPARAMETER_FERTIGUNG_ZUSATZSTATUS = "FERTIGUNG_ZUSATZSTATUS";
	public static final String ARBEITSPLATZPARAMETER_LAGERPLATZ_DIREKT_ERFASSEN = "LAGERPLATZ_DIREKT_ERFASSEN";
	public static final String ARBEITSPLATZPARAMETER_AUFTRAGSABLIEFERUNG_IM_LOS = "AUFTRAGSABLIEFERUNG_IM_LOS";
	public final static String ARBEITSPLATZPARAMETER_AUFT_SERIENNUMMERNETIKETTENDRUCK = "AUFT_SERIENNUMMERNETIKETTENDRUCK";
	public final static String ARBEITSPLATZPARAMETER_ANZEIGEDAUER_DRUCKBESTAETIGUNG = "ANZEIGEDAUER_DRUCKBESTAETIGUNG";
	public final static String ARBEITSPLATZPARAMETER_KDC100_DEFAULTLAGER = "KDC100_DEFAULTLAGER";
	public final static String ARBEITSPLATZPARAMETER_KUECHE_ESSENSAUSGABE_KUNDEID = "KUE_ESSENSAUSGABE_KUNDEID";
	public final static String ARBEITSPLATZPARAMETER_KUECHE_WEB_MENURECHTE = "KUE_WEB_MENURECHTE";
	public final static String ARBEITSPLATZPARAMETER_KUECHE_PARTNERKLASSEID = "KUE_PARTNERKLASSEID";
	public final static String ARBEITSPLATZPARAMETER_KUECHE_VATERARTIKELGRUPPEID = "KUE_VATERARTIKELGRUPPEID";
	public final static String ARBEITSPLATZPARAMETER_KUECHE_PROJEKTWEB = "KUE_PROJEKTWEB";
	public final static String ARBEITSPLATZPARAMETER_KUECHE_PROJEKTSHOP = "KUE_PROJEKTSHOP";
	public final static String ARBEITSPLATZPARAMETER_KDC100_DEFAULTZIELLAGER = "KDC100_DEFAULTZIELLAGER";
	public final static String ARBEITSPLATZPARAMETER_DOKUMENTE_EINLESE_PFAD = "DOKUMENTE_EINLESE_PFAD";
	public final static String ARBEITSPLATZPARAMETER_MAX_ANZAHL_IN_AUSWAHLLISTEN = "MAX_ANZAHL_IN_AUSWAHLLISTEN";
	public final static String ARBEITSPLATZPARAMETER_LISTEN_NUR_NACH_CRUD_AKTUALISIEREN = "LISTEN_NUR_NACH_CRUD_AKTUALISIEREN";
	public final static String ARBEITSPLATZPARAMETER_TELEFONWAHL_HTTP_REQUEST = "TELEFONWAHL_HTTP_REQUEST";
	public final static String ARBEITSPLATZPARAMETER_DATEI_AUTOMATISCHE_STUECKLISTENERZEUGUNG = "DATEI_AUTOMATISCHE_STUECKLISTENERZEUGUNG";
	public static final String ARBEITSPLATZPARAMETER_EDITOR_ZOOM = "EDITOR_ZOOM";
	public static final String ARBEITSPLATZPARAMETER_EDITOR_SCHRIFT_GROESSE = "EDITOR_SCHRIFT_GROESSE";
	public static final String ARBEITSPLATZPARAMETER_EDITOR_SCHRIFTART = "EDITOR_SCHRIFTART";
	public static final String ARBEITSPLATZPARAMETER_MONATSABRECHNUNG_NEUES_MONAT_AB = "MONATSABRECHNUNG_NEUES_MONAT_AB";
	public static final String ARBEITSPLATZPARAMETER_DRUCKERNAME_MOBILER_LIEFERSCHEIN = "DRUCKERNAME_MOBILER_LIEFERSCHEIN";
	public static final String ARBEITSPLATZPARAMETER_PROGRAMMPFAD_FUER_DOKUMENTENLINK = "PROGRAMMPFAD_FUER_DOKUMENTENLINK";
	public static final String ARBEITSPLATZPARAMETER_DRUCKERNAME_MOBILES_WEP_ETIKETT = "DRUCKERNAME_MOBILES_WEP_ETIKETT";
	public static final String ARBEITSPLATZPARAMETER_DRUCKERNAME_MOBILES_WA_ETIKETT = "DRUCKERNAME_MOBILES_WA_ETIKETT";
	public static final String ARBEITSPLATZPARAMETER_DRUCKERNAME_MOBILES_VERSANDETIKETT = "DRUCKERNAME_MOBILES_VERSAND_ETIKETT";
	public static final String ARBEITSPLATZPARAMETER_DRUCKERNAME_MOBILES_LOSABLIEFER_ETIKETT = "DRUCKERNAME_MOBILES_LOSABLIEFER_ETIKETT";
	public static final String ARBEITSPLATZPARAMETER_DRUCKERNAME_MOBILES_ARTIKEL_ETIKETT = "DRUCKERNAME_MOBILES_ARTIKEL_ETIKETT";
	public static final String ARBEITSPLATZPARAMETER_DEFAULT_MOBIL_DRUCKERNAME_SEITE = "DEFAULT_MOBIL_DRUCKERNAME_SEITE";
	public static final String ARBEITSPLATZPARAMETER_DEFAULT_MOBIL_DRUCKERNAME_ETIKETT = "DEFAULT_MOBIL_DRUCKERNAME_ETIKETT";
	public static final String ARBEITSPLATZPARAMETER_TEXTFELD_SELEKTION_BEI_FOKUS = "TEXTFELD_SELEKTION_BEI_FOKUS";
	public static final String ARBEITSPLATZPARAMETER_MOBIL_LS_SORTIERUNG = "MOBIL_LS_SORTIERUNG";
	public static final String ARBEITSPLATZPARAMETER_RECHTSCHREIBPRUEFUNG = "RECHTSCHREIBPRUEFUNG";
	public static final String ARBEITSPLATZPARAMETER_PROJEKTAUSWAHL_SCHNELL = "PROJEKTAUSWAHL_SCHNELL";
	public static final String ARBEITSPLATZPARAMETER_PUSH_BENACHRICHTIGUNG = "PUSH_BENACHRICHTIGUNG";
	public final static String ARBEITSPLATZPARAMETER_TELEFONWAHL_TEL_REQUEST = "TELEFONWAHL_TEL_REQUEST";

	// PJ21947
	public static final String ARBEITSPLATZPARAMETER_PROJEKT_COCKPIT_DEFAULT_EINGEKLAPPT = "PROJEKT_COCKPIT_DEFAULT_EINGEKLAPPT";

	public static Set<String> parameterMitLeeremWert = new HashSet<String>(Arrays.asList(
			PARAMETER_RANKINGLISTE_ZUSATZSTATUS, PARAMETER_HYDRA_FERTIGUNGSGRUPPE
	));

	// parametermandant: 0 c_nr Konstante einfuegen

	// parametermandant: 0 Kategorien von Mandantenparametern eventuell
	// ergaenzen
	public final static String KATEGORIE_KUNDEN = "KUNDEN";
	public static final String KATEGORIE_ARTIKEL = "ARTIKEL";
	public static final String KATEGORIE_PERSONAL = "PERSONAL";
	public static final String KATEGORIE_LIEFERANT = "LIEFERANT";
	public static final String KATEGORIE_ALLGEMEIN = "ALLGEMEIN";
	public static final String KATEGORIE_EINGANGSRECHNUNG = "EINGANGSRECHNUNG";
	public static final String KATEGORIE_AUSGANGSRECHNUNG = "AUSGANGSRECHNUNG";
	public final static String KATEGORIE_FINANZ = "FINANZ";
	public final static String KATEGORIE_ANGEBOT = "ANGEBOT";
	public final static String KATEGORIE_ANGEBOTSSTUECKLISTE = "ANGEBOTSSTUECKLISTE";
	public final static String KATEGORIE_BESTELLUNG = "BESTELLUNG";
	public final static String KATEGORIE_STUECKLISTE = "STUECKLISTE";
	public final static String KATEGORIE_FERTIGUNG = "FERTIGUNG";
	public final static String KATEGORIE_GUTSCHRIFT = "GUTSCHRIFT";
	public final static String KATEGORIE_AUFTRAG = "AUFTRAG";
	public final static String KATEGORIE_ANFRAGE = "ANFRAGE";
	public final static String KATEGORIE_LIEFERSCHEIN = "LIEFERSCHEIN";
	public final static String KATEGORIE_PARTNER = "PARTNER";
	public final static String KATEGORIE_RECHNUNG = "RECHNUNG";
	public final static String KATEGORIE_PROJEKT = "PROJEKT";
	public final static String KATEGORIE_KUECHE = "KUECHE";
	public final static String KATEGORIE_VERSANDAUFTRAG = "VERSANDAUFTRAG";
	public final static String KATEGORIE_REKLAMATION = "REKLAMATION";
	public final static String KATEGORIE_HYDRA = "HYDRA";

	// FLR Konstanten
	public static final String FLR_PARAMETERANWENDER_ID_COMP = "id_comp";
	public static final String FLR_PARAMETERANWENDER_C_KATEGORIE = "c_kategorie";
	public static final String FLR_PARAMETERANWENDER_C_WERT = "c_wert";
	public static final String FLR_PARAMETERANWENDER_C_BEMERKUNGSMALL = "c_bemerkungsmall";
	public static final String FLR_PARAMETERANWENDER_C_BEMERKUNGLARGE = "c_bemerkunglarge";
	public static final String FLR_PARAMETERANWENDER_C_DATENTYP = "c_datentyp";

	public static final String FLR_PARAMETERMANDANT_ID_COMP = "id_comp";
	public static final String FLR_PARAMETERMANDANT_C_KATEGORIE = "c_kategorie";
	public static final String FLR_PARAMETERMANDANT_C_WERT = "c_wert";
	public static final String FLR_PARAMETERMANDANT_C_BEMERKUNGSMALL = "c_bemerkungsmall";
	public static final String FLR_PARAMETERMANDANT_C_BEMERKUNGLARGE = "c_bemerkunglarge";
	public static final String FLR_PARAMETERMANDANT_C_DATENTYP = "c_datentyp";

	// Feldlaengen
	public static final int MAX_PARAMETER_KENNUNG = 50;
	public static final int MAX_PARAMETER_BEMERKUNGSMALL = 300;
	public static final int MAX_PARAMETER_DATENTYP = 50;
	public static final int MAX_PARAMETER_WERT = 100;

	public final static String ARBEITSPLATZ_TYP_KDC100 = "KDC100";
	public final static String ARBEITSPLATZ_TYP_KASSA = "KASSE";
	public final static String ARBEITSPLATZ_TYP_MEMOR = "MEMOR";
	public final static String ARBEITSPLATZ_TYP_HVMA = "HVMA";
	public final static String ARBEITSPLATZ_TYP_WIN_TERMINAL = "WIN-Terminal";
	public final static String ARBEITSPLATZ_TYP_CE_TERMINAL = "CE-Terminal";

	public static final int KEINE_AUTOMATISCHE_MATERIALBUCHUNG_STRENG = 2;

	public Integer getGeschaeftsjahr(String mandantCNr) throws EJBExceptionLP, RemoteException;

	public Integer getGeschaeftsjahr(String mandantCNr, Date dBelegdatum) throws EJBExceptionLP, RemoteException;

	public ParametermandantPK createParametermandant(ParametermandantDto parametermandantDtoI,
			TheClientDto theClientDto) throws EJBExceptionLP, RemoteException;

	public void removeParametermandant(ParametermandantDto parametermandantDto) throws EJBExceptionLP, RemoteException;

	public void updateParametermandant(ParametermandantDto parametermandantDtoI, TheClientDto theClientDto)
			throws EJBExceptionLP, RemoteException;

	public ParametermandantDto parametermandantFindByPrimaryKey(ParametermandantPK pkParametermandantI)
			throws EJBExceptionLP, RemoteException;

	public HvOptional<ParametermandantDto> parametermandantFindByPrimaryKeyOptional(
			ParametermandantPK pkParametermandantI) throws EJBExceptionLP, RemoteException;

	public ParametermandantDto parametermandantFindByPrimaryKey(String cNrI, String cNrKategorieI, String cNrMandantI)
			throws EJBExceptionLP, RemoteException;

	public ParametermandantDto getMandantparameter(String mandant_c_nr, String cKategorieI,
			String mandantparameter_c_nr) throws RemoteException;

	public ParametermandantDto getMandantparameter(String mandant_c_nr, String cKategorieI,
			String mandantparameter_c_nr, java.sql.Timestamp tZeitpunkt);

	public ParameteranwenderPK createParameteranwender(ParameteranwenderDto parameteranwenderDtoI,
			TheClientDto theClientDto) throws EJBExceptionLP, RemoteException;

	public void removeParameteranwender(ParameteranwenderDto parameteranwenderDto)
			throws EJBExceptionLP, RemoteException;

	public void updateParameteranwender(ParameteranwenderDto parameteranwenderDtoI, TheClientDto theClientDto)
			throws EJBExceptionLP, RemoteException;

	public ParameteranwenderDto parameteranwenderFindByPrimaryKey(ParameteranwenderPK pkParameteranwenderI)
			throws EJBExceptionLP, RemoteException;

	public void createFixverdrahteteParametermandant(TheClientDto theClientDto) throws RemoteException, EJBExceptionLP;

	public Integer createArbeitsplatz(ArbeitsplatzDto arbeitsplatzDto) throws RemoteException, EJBExceptionLP;

	public void removeArbeitsplatz(ArbeitsplatzDto arbeitsplatzDto) throws RemoteException, EJBExceptionLP;

	public ArbeitsplatzDto arbeitsplatzFindByCTypCGeraetecode(String cTyp, String cGeraetecode) throws RemoteException;

	public void updateArbeitsplatz(ArbeitsplatzDto arbeitsplatzDto) throws RemoteException, EJBExceptionLP;

	public ArbeitsplatzDto arbeitsplatzFindByPrimaryKey(Integer iId) throws RemoteException, EJBExceptionLP;

	public ArbeitsplatzDto arbeitsplatzFindByCPcname(String cPcname) throws RemoteException, EJBExceptionLP;

	public Long getDefaultWorkplaceCount() throws RemoteException, EJBExceptionLP;

	public void createParameter(ParameterDto parameterDto) throws RemoteException, EJBExceptionLP;

	public void removeParameter(ParameterDto parameterDto) throws RemoteException, EJBExceptionLP;

	public void updateParameter(ParameterDto parameterDto) throws RemoteException, EJBExceptionLP;

	public ParameterDto parameterFindByPrimaryKey(String cNr) throws RemoteException, EJBExceptionLP;

	public Integer createArbeitsplatzparameter(ArbeitsplatzparameterDto arbeitsplatzparameterDto)
			throws RemoteException, EJBExceptionLP;

	public void removeArbeitsplatzparameter(ArbeitsplatzparameterDto arbeitsplatzparameterDto)
			throws RemoteException, EJBExceptionLP;

	public void updateArbeitsplatzparameter(ArbeitsplatzparameterDto arbeitsplatzparameterDto)
			throws RemoteException, EJBExceptionLP;

	public ArbeitsplatzparameterDto arbeitsplatzparameterFindByPrimaryKey(Integer iId)
			throws RemoteException, EJBExceptionLP;

	public ArbeitsplatzparameterDto holeArbeitsplatzparameter(String cPcname, String parameterCNr)
			throws RemoteException;

	public ArbeitsplatzparameterDto arbeitsplatzparameterFindByArbeitsplatzIIdParameterCNr(Integer arbeitsplatzIId,
			String parameterCNr) throws RemoteException, EJBExceptionLP;

	public ParameteranwenderDto getAnwenderparameter(String cKategorieI, String anwenderparameter_c_nr)
			throws EJBExceptionLP;

	public void updateParametermandantgueltigab(ParametermandantgueltigabDto parametermandantgueltigabDtoI,
			TheClientDto theClientDto);

	public void removeParametermandantgueltigab(ParametermandantgueltigabDto parametermandantgueltigabDto);

	public ParametermandantgueltigabDto parametermandantgueltigabFindByPrimaryKey(
			ParametermandantgueltigabPK pkParametermandantI);

	public TreeMap<Timestamp, String> parametermandantgueltigabGetWerteZumZeitpunkt(String mandantCNr, String cNr,
			String cKategorie);

	public Integer getAnzahlDefaultKopienLieferschein(String mandantCNr) throws EJBExceptionLP;

	public Integer getAnzahlDefaultKopienRechnung(String mandantCNr) throws EJBExceptionLP;

	boolean getLogoImmerDrucken(String mandantCnr);

	/**
	 * Liefert den Apikey f&uuml;r die Findchips API</br>
	 * <p>
	 * Ein angegebener Wert ist dann g&uuml;ltig, wenn mindestens 5 Zeichen
	 * vorhanden sind
	 * </p>
	 * 
	 * @param mandantCnr In diesem Mandanten suchen
	 * @return null wenn kein Key angegeben wurde, ansonsten der key
	 */
	String getFindChipsApiKey(String mandantCnr);

	/**
	 * Liefert die (optionale) HTTP-Proxy-Konfiguration</br>
	 * <p>
	 * Wurde keine korrekte Proxy-Konfiguration angegeben, ist die Property
	 * "isDefined()" false
	 * </p>
	 * <p>
	 * Korrekt ist mehrstufig:</br>
	 * Die Portnummer ist durch ":" einzuleiten und optional. Wird keine (oder ein
	 * nicht auswertbarer) Port angegeben, wird "3128" verwendet
	 * </p>
	 * 
	 * @param mandantCnr In diesem Mandanten suchen
	 * @return die (not-null) Proxy-Konfiguration. Ist "isDefined()" false, gibt es
	 *         keine Proxykonfig.
	 */
	HttpProxyConfig getHttpProxy(String mandantCnr);

	Boolean getKundenPositionskontierung(String mandantCnr);

	/**
	 * Ist der Rechnungswert 0 erlaubt?</br>
	 * <p>
	 * In &Ouml;sterreich ist ein Rechnungsbetrag 0 eigentlich nicht erlaubt, es
	 * gibt in anderen L&auml;ndern allerdings Ausnahmen.
	 * </p>
	 * 
	 * @param mandantCnr ist der betreffende Mandant
	 * @return true wenn ein Rechnungswert == 0 erlaubt/akzeptiert ist
	 */
	Boolean getFinanzRechnungWert0Erlaubt(String mandantCnr);

	/**
	 * Soll ReverseCharge verwendet werden?
	 * 
	 * @param mandantCnr ist der betreffende Mandant
	 * @return true wenn Reversecharge verwendet werden soll
	 */
	Boolean getReversechargeVerwenden(String mandantCnr);

	HttpProxyConfig getHvToHydraHost(String mandantCnr);

	Integer getHydraFertigungsgruppeIId(String mandantCnr);

	Integer getLieferavisoTageZusaetzlich(String mandantCnr);

	public ArbeitsplatzkonfigurationDto arbeitsplatzkonfigurationFindByPrimaryKey(Integer arbeitsplatzId);

	public Integer createArbeitsplatzkonfiguration(ArbeitsplatzkonfigurationDto dto);

	public void updateArbeitsplatzkonfiguration(ArbeitsplatzkonfigurationDto dto);

	void removeArbeitsplatzkonfiguration(ArbeitsplatzkonfigurationDto dto);

	Boolean getZahlungsvorschlagDefaultFreigabe(String mandantCnr);

	String getMailadresseAdmin(String mandantCnr);

	Boolean getSuchenInklusiveKBez(String mandantCnr);

	String getKommissionierungFertigungsgruppe(String mandantCnr);

	List<String> getKommissionierungAusgeschlosseneArtikelgruppen(String mandantCnr);

	public ArtikelDto getMindestbestellwertArtikel(TheClientDto theClientDto);

	Boolean getSollsatzgroessePruefen(String mandantCnr);

	Boolean getAutofertigAblieferungTerminal(String mandantCnr);

	Boolean getPersoenlicherBestellvorschlag(String mandantCnr);

	Integer getMaximaleDokumentengroesse(String mandantCnr);

	Integer getLastschriftFaelligkeitNachZahlungsziel(String mandantCnr);

	String getHtmlSignaturMailversand(String mandantCnr);

	Integer getKalkulationsart(String mandantCnr);

	Double getDefaultAufschlag(String mandantCnr);

	String getEinrichtelagerErfassungsterminal(String mandantCnr);

	String getGS1BasisnummerGTIN(String mandantCnr);

	String getGS1BasisnummerSSCC(String mandantCnr);

	String getUvaAbrechnungszeitraum(String mandantCnr);

	Integer getGeschaeftsjahrBeginnmonat(String mandantCnr);

	Boolean getMaterialkursAufBasisRechnungsdatum(String mandantCnr);

	String getKassenimportLeereArtikelnummerDefaultArtikel(String mandantCnr);

	Boolean getEingangsrechnungKundendatenVorbesetzen(String mandantCnr);

	Boolean getRechnungPositionWert0Pruefen(String mandantCnr);

	String getKartenUrl(String mandantCnr);

	Boolean getAusgabeEigenerStatus(String mandantCnr);

	Boolean getLosBeiAusgabeGestoppt(String mandantCnr);

	String getGoogleApiKey(String mandantCnr);

	Boolean get4VendingErArImportBruttoStattNetto(String mandantCnr);

	Boolean getLieferscheinPositionenMitAPIVerdichten(String mandantCnr);

	Boolean getPositionskontierung(String mandantCnr);

	Boolean getAusfuehrlicherMahnungsdruckAr(String mandantCnr);

	BigDecimal getErlaubteFibuDifferenz(String mandantCnr);

	Integer getMaximallaengeArtikelnummer(String mandantCnr);

	Integer getBelegnummernformatStellenGeschaeftsjahr(String mandantCnr);

	Integer getBelegnummernformatStellenBelegnummer(String mandantCnr);

	String getDefaultMobilDruckernameSeite(String mandantCnr);

	String getDefaultMobilDruckernameEtikett(String mandantCnr);

	String getGroessenaenderungZusatzstatus(String mandantCnr);

	String getMobilDruckernameBedarfsuebernahme(String mandantCnr);

	Integer getLosnummerAuftragsbezogen(String mandantCnr);

	public Integer getArtikelLaengeBezeichungen(String mandantCNr);

	String getExportDatevMitlaufendesKonto(String mandantCnr);

	List<String> getExportDatevKontoklassenOhneBuSchluessel(String mandantCnr);

	Boolean getBeiLosErledigenMaterialNachbuchen(String mandantCnr);

	Boolean getNegativeSollmengenBuchenAufZiellager(String mandantCnr);

	PostPlcApiKeyDto getPostPlcApiKey(String mandantCnr);

	MailServiceParameterSource getMailServiceParameter(String mandantCnr);

	WebabfrageArtikellieferantSuchparameterDto getWebabfrageArtikellieferantSuchparameter(String mandantCnr);

	Integer getEingangsrechnungLieferantenrechnungsnummerLaenge(String mandantCnr);

	Boolean getANABMitZusammenfassung(String mandantCnr);

	Integer getDefaultAuftragsLieferzeitTage(String mandantCnr);

	public void leereMandantenparameterCache();

	String getBelegnummernformatTrennzeichen(String mandantCnr);

	String getBelegnummerMandantkennung(String mandantCnr);

	HvBelegnummernformat getHvBelegnummernformat(String mandantCnr);

	HvBelegnummernformatHistorisch getHvBelegnummernformatHistorisch(String mandantCnr);

	List<HvBelegnummernformatHistorisch> getHvBelegnummernformatHistorischAll(String mandantCnr);

	HttpProxyConfig getTruTopsBoostHost(String mandantCnr);

	Boolean getAutomatischeDebitorennummer(String mandantCnr);

	Integer getGeschaeftsjahrbeginnmonat(String mandantCnr);

	Integer getClevercureArtikelsuche(String mandantCnr);
}
